SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


CREATE TABLE IF NOT EXISTS `clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `client_name` varchar(32) NOT NULL,
  `client_contact` varchar(32) NOT NULL,
  `client_phone` varchar(32) NOT NULL,
  `client_email` varchar(32) NOT NULL,
  `client_address_line_1` varchar(32) NOT NULL,
  `client_address_line_2` varchar(32) NOT NULL,
  `client_town` varchar(32) NOT NULL,
  `client_city` varchar(32) NOT NULL,
  `client_state` varchar(32) NOT NULL,
  `client_zip` varchar(32) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=26 ;


CREATE TABLE IF NOT EXISTS `email_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

INSERT INTO `email_templates` (`id`, `name`, `content`) VALUES
(1, 'Client Invoice', '<p><span>Hi [CLIENT_CONTACT],</span></p><p><span>Please find Invoice Number: [INVOICE_NUMBER] (Total: [INVOICE_TOTAL]) attached to this email.</span></p><p><span>If you have any questions then please contact us at [COMPANY_EMAIL].</span></p><p><span> </span></p><p><span>Regards,</span></p><p> </p><p><span>[USER]</span></p><p><span>[COMPANY_NAME]</span></p>'),
(2, 'Client Quote', '<p><span>Hi [CLIENT_CONTACT],</span></p><p><span>Please find Quote Number: [QUOTE_NUMBER] attached to this email.</span></p><p><span>If you have any questions then please contact us at [COMPANY_EMAIL].</span></p><p><span> </span></p><p><span>Regards,</span></p><p> </p><p><span>[USER]</span></p><p><span>[COMPANY_NAME]</span></p>');

CREATE TABLE IF NOT EXISTS `invoices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_date` date NOT NULL,
  `invoice_number` varchar(20) NOT NULL,
  `client_id` int(11) NOT NULL,
  `client_name` varchar(32) NOT NULL,
  `invoice_total` decimal(9,2) NOT NULL,
  `status` varchar(20) NOT NULL,
  `public_notes` text NOT NULL,
  `private_notes` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` varchar(32) NOT NULL,
  `last_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `last_mod_by` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `invoiceNumber` (`invoice_number`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=104 ;


CREATE TABLE IF NOT EXISTS `items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  `title` varchar(100) NOT NULL,
  `details` text NOT NULL,
  `quantity` int(11) NOT NULL,
  `unit_price` decimal(9,2) NOT NULL,
  `tax_rate` float(4,2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=148 ;


CREATE TABLE IF NOT EXISTS `payments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  `client_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `method` varchar(11) NOT NULL,
  `amount` decimal(9,2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=52 ;


CREATE TABLE IF NOT EXISTS `quotes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` int(11) NOT NULL,
  `quote_number` varchar(20) NOT NULL,
  `quote_date` date NOT NULL,
  `created` datetime NOT NULL,
  `expires` date NOT NULL,
  `quote_total` decimal(9,2) NOT NULL,
  `status` varchar(32) NOT NULL,
  `public_notes` text NOT NULL,
  `private_notes` text NOT NULL,
  `created_by` varchar(66) NOT NULL,
  `modified` datetime NOT NULL,
  `last_mod_by` varchar(66) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=21 ;


CREATE TABLE IF NOT EXISTS `quote_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `quote_id` int(11) NOT NULL,
  `title` varchar(100) NOT NULL,
  `details` text NOT NULL,
  `quantity` int(11) NOT NULL,
  `unit_price` decimal(9,2) NOT NULL,
  `tax_rate` float(4,2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;


CREATE TABLE IF NOT EXISTS `settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_name` varchar(32) NOT NULL,
  `company_address_line_1` varchar(32) NOT NULL,
  `company_address_line_2` varchar(32) NOT NULL,
  `company_town` varchar(32) NOT NULL,
  `company_city` varchar(32) NOT NULL,
  `company_state` varchar(32) NOT NULL,
  `company_zip` varchar(32) NOT NULL,
  `company_phone` varchar(32) NOT NULL,
  `company_email` varchar(32) NOT NULL,
  `currency` varchar(6) NOT NULL,
  `payment_info` text NOT NULL,
  `primary_color` varchar(7) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=24 ;

INSERT INTO `settings` (`id`, `company_name`, `company_address_line_1`, `company_address_line_2`, `company_town`, `company_city`, `company_state`, `company_zip`, `company_phone`, `company_email`, `currency`, `payment_info`, `primary_color`) VALUES
(1, '', '', '', '', '', '', '', '', '', '$', 'This default payment info will appear on each invoice. It should include payment terms and details.', '#339966');

CREATE TABLE IF NOT EXISTS `taxrates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `rate` float(4,2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=16 ;

INSERT INTO `taxrates` (`id`, `name`, `rate`) VALUES
(1, 'Non-Taxable', 0.00);

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(50) DEFAULT NULL,
  `password` varchar(50) DEFAULT NULL,
  `first_name` varchar(32) NOT NULL,
  `last_name` varchar(32) NOT NULL,
  `role` varchar(20) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=15 ;

INSERT INTO `users` (`id`, `username`, `password`, `first_name`, `last_name`, `role`, `created`, `modified`) VALUES
(1, 'admin', 'abb5e7789ff6b1b511747e4790c0e8d7d33570c1', 'Demo', 'User', 'admin', '2013-02-05 22:22:04', '2013-02-05 22:22:04');
