<?php
    class DashboardController extends AppController {

        var $name = 'Dashboard';
        var $uses = array('Invoice', 'Quote', 'Setting', 'Client');

        public function beforeFilter() {

	        $this->set('title', 'Dashboard');

	        // Block Clients From Entire Dashboard & Redirect Them To Their Client Area

	        $role = parent::roleCheck();
        	
        	if ($role === 'client') {

        		$clientName = $this->Auth->user('first_name');

        		$client = $this->Client->find('first', array(
        			'conditions' => array('Client.client_name' => $clientName),
			        'fields' => array('id'),
				    'recursive' => 0
			    ));

        		//$this->Session->setFlash('Clients Are Only Authorised To View Their Own Area');

        		$this->redirect(array('controller' => 'clients', 'action' => 'client_area', $client['Client']['id']));

        	} 

	    }


        function index () {

        	// Set Invoice Dates

        	$currentYear = date('Y');

			$previousYear = $currentYear - 1;
               
            $formattedYear = ($previousYear - 1)."-12-31";

          	
          	// Get & Set Invoices

			$invoices = $this->Invoice->find('all', array(

				'conditions' => array (
				    "Invoice.invoice_date >" => date($formattedYear)
				),
				'recursive' => 0,
				'fields' => array('Invoice.invoice_number', 'Invoice.invoice_date', 'Invoice.client_name', 'Invoice.invoice_total', 'Invoice.status'),
				'order' => array('Invoice.invoice_date' => 'desc')

				));

			$this->set('invoices', $invoices);

			
			// Set Quote Dates

			$date = new DateTime();

			$today = $date->format('Y-m-d');

			$expireyDate = $date->add(new DateInterval('P7D'));

			$expireyDate = $expireyDate->format('Y-m-d');


			// Get & Update Expired Quotes

			$expiredQuotes = $this->Quote->find('all', array(

				'conditions' => array(
					'Quote.status =' => 'Pending',
					'Quote.expires <' => $today,
				),
				'recursive' => 0,
				'fields' => array('Quote.id', 'Quote.expires', 'Quote.status')

				));

			foreach ($expiredQuotes as $expiredQuote) {
			  
				$data = array('id' => $expiredQuote['Quote']['id'], 'status' => 'Expired');

				$this->Quote->save($data);
			
			} 

			
			// Get & Set Expiring Quotes

			$quotes = $this->Quote->find('all', array(

				'conditions' => array(
					'Quote.status !=' => array('Accepted', 'Rejected'),
					'Quote.expires >' => $today,
					'Quote.expires <=' => $expireyDate
				),
				'recursive' => 0,
				'fields' => array('Quote.quote_date', 'Quote.expires', 'Quote.quote_total', 'Quote.status', 'Client.client_name'),
				'order' => array('Quote.expires' => 'desc')

				));

			$this->set('quotes', $quotes);


			// Get & Set Currency

			$settings = $this->Setting->find('first', array(
		        'fields' => array('currency', 'primary_color'),
			    'recursive' => 0
		    ));

		    $this->set('settings', $settings);

        }

    }

?>