<?php

	class UsersController extends AppController {

        public function beforeFilter() {
            $this->set('title', 'Settings');

            // Block Anyone But Admin From Users Area
            // Allow Managers and Clients Access To login(), logout()

            $role = parent::roleCheck();
            
            if ($role !== 'admin') {

                if (!in_array($this->action, array('login', 'logout'))) {

                    $this->Session->setFlash('You Are Not Authorised To Access Settings');

                    $this->redirect(array('controller' => 'dashboard', 'action' => 'index'));

                }

            }

        }


        function index() {

            $this->layout = 'settings';

            $this->set('users', $this->User->find('all'));

        }


        public function view($id = null) {

            $this->layout = 'settings';

            if (!$id) {

                throw new NotFoundException(__('Invalid User'));

            }

            $user = $this->User->findById($id);

            if (!$user) {

                throw new NotFoundException(__('Invalid User'));
            }

            $this->set('thisUser', $user);

        }


        function add() {

            $this->layout = 'settings';

            if ($this->request->is('post')) {

                $this->User->create();

                if ($this->User->save($this->request->data)) {

                    $this->Session->setFlash('User Successfully Added');

                    $username = $this->request->data['User']['username'];

                    $user = $this->User->findByUsername($username);

                    $id = $user['User']['id'];

                    $this->redirect(array('controller' => 'users', 'action' => 'index'));

                } else {

                    $this->Session->setFlash('Unable To Add User');

                }

            }

        }


        function delete($id) {

            if ($this->request->is('get')) {

                throw new MethodNotAllowedException('Access Denied Using This Method');

            }

            if ($id == AuthComponent::user('id')) {

                $this->Session->setFlash('You Can Not Delete Your Own Account');

                $this->redirect(array('action' => 'index'));

            } elseif ($this->User->delete($id)) {

                $this->Session->setFlash('The User Has Been Deleted');

                $this->redirect(array('action' => 'index'));

            }

        }



        function edit($id = NULL) {

            $this->layout = 'settings';

            if (!$id) {

                throw new NotFoundException(__('Invalid User'));

            }

            $user = $this->User->findById($id);

            if (!$user) {

                throw new NotFoundException(__('Invalid User'));

            }

            if ($this->request->is('post') || $this->request->is('put')) {

                $this->User->id = $id;

                if ($this->User->save($this->request->data)) {

                    $this->Session->setFlash('The User Account Has Been Updated');

                    $this->redirect(array('controller' => 'users', 'action' => 'view', $id));

                } else {

                    $this->Session->setFlash('Unable To Update User Account');

                }

            }

            if (!$this->request->data) {

                $this->request->data = $user;

            }

        }




        public function login() {

            $this->layout = 'login';

            if ($this->request->is('post')) {

                if ($this->Auth->login()) {

                    $this->redirect($this->Auth->redirect());

                } else {

                    $this->Session->setFlash(__('Invalid Username/Password'));

                }
            }
        }



        public function logout() {

            $this->redirect($this->Auth->logout());

        }




    }

?>