<?php

	class EmailTemplate extends AppModel {


		// Validation

	    public $validate = array(
	        'client_name' => array(
	            'between' => array(
	                'rule'    => array('between', 1, 32),
	                'required' => true,
	                'allowEmpty' => false,
	                'message' => 'Name must be between 1 and 32 characters long'
	            ),
	            'unique' => array(
	                'rule'    => 'isUnique',
	                'message' => 'A client with this name has already been set up'
	            )
	        ),
	        'client_contact' => array(
	            'between' => array(
	                'rule'    => array('between', 1, 32),
	                'required' => false,
	                'allowEmpty' => true,
	                'message' => 'Contact must be between 1 and 32 characters long'
	            )
	        ),
	        'client_phone' => array(
	            'between' => array(
	                'rule'    => array('between', 1, 32),
	                'required' => false,
	                'allowEmpty' => true,
	                'message' => 'Phone number must be between 1 and 32 characters long'
	            )
	        ),
	        'client_email' => array(
	        	'between' => array(
	                'rule'    => array('between', 1, 32),
	                'required' => false,
	                'allowEmpty' => true,
	                'message' => 'Email must be between 1 and 32 characters long'
	            ),
	            'email' => array(
	                'rule'     => 'email',
	                'message'  => 'Please enter a valid email address'
	            )
	        ),
	        'client_address_line_1' => array(
	            'between' => array(
	                'rule'    => array('between', 1, 32),
	                'required' => true,
	                'allowEmpty' => false,
	                'message' => 'Address line must be between 1 and 32 characters long'
	            )
	        ),
	        'client_address_line_2' => array(
	            'between' => array(
	                'rule'    => array('between', 1, 32),
	                'required' => false,
	                'allowEmpty' => true,
	                'message' => 'Address line must be between 1 and 32 characters long'
	            )
	        ),
	        'client_town' => array(
	            'between' => array(
	                'rule'    => array('between', 1, 32),
	                'required' => false,
	                'allowEmpty' => true,
	                'message' => 'Town must be between 1 and 32 characters long'
	            )
	        ),
	        'client_city' => array(
	            'between' => array(
	                'rule'    => array('between', 1, 32),
	                'required' => false,
	                'allowEmpty' => true,
	                'message' => 'City must be between 1 and 32 characters long'
	            )
	        ),
	        'client_state' => array(
	            'between' => array(
	                'rule'    => array('between', 1, 32),
	                'required' => false,
	                'allowEmpty' => true,
	                'message' => 'State must be between 1 and 32 characters long'
	            )
	        ),
	        'client_zip' => array(
	            'between' => array(
	                'rule'    => array('between', 1, 32),
	                'required' => false,
	                'allowEmpty' => true,
	                'message' => 'Zip/Postal Code must be between 1 and 32 characters long'
	            )
	        ),
	    );

	}

?>