<?php

	class Invoice extends AppModel {


		// Relationships

		public $belongsTo = array(
	        'Client' => array(
	            'className'    => 'Client',
	            'foreignKey'    => 'client_id',
	        )
	    );

		public $hasMany = array(
	        'Item' => array(
	            'className'     => 'Item',
	            'foreignKey'    => 'invoice_id',
	            'dependent'     => true
	        ),
	        'Payment' => array(
	            'className'     => 'Payment',
	            'foreignKey'    => 'invoice_id',
	            'dependent'     => true
	        )

	    );


	    // Validation

	    public $validate = array(
	        'invoice_date' => array(
	            'date' => array(
		        'rule'       => array('date', 'ymd'),
		        'message'    => 'Enter a valid date in YY-MM-DD format.',
		        'required' => true,
	            'allowEmpty' => false,
		    )
	        ),
	        'invoice_number' => array(
	            'between' => array(
	                'rule'    => array('between', 1, 20),
	                'required' => true,
	                'allowEmpty' => false,
	                'message' => 'Invoice Number must be between 1 and 20 characters long'
	            )
	        ),

	    );

	}

?>