<?php echo $this->Html->css('dashboard'); ?>

<h3>Dashboard</h3>

<?php 

	$currency = $settings['Setting']['currency'];

	$graphColor = $settings['Setting']['primary_color'];

	$currentYear = date('Y');

	$previousYear = $currentYear - 1;

	$yearData_Invoices = array(
		
		$currentYear => array(

			1  => 0,
			2  => 0,
			3  => 0,
			4  => 0,
			5  => 0,
			6  => 0,
			7  => 0,
			8  => 0,
			9  => 0,
			10 => 0,
			11 => 0,
			12 => 0

			),

    	($previousYear) => array(

			1  => 0,
			2  => 0,
			3  => 0,
			4  => 0,
			5  => 0,
			6  => 0,
			7  => 0,
			8  => 0,
			9  => 0,
			10 => 0,
			11 => 0,
			12 => 0

			),
    );

?>



<!-- INVOICES GRAPH -->

<h5>Activity This Year</h5>

<table>

	<thead>
	
		<tr>
			<th>New Invoices This Year</th>
		</tr>

	</thead>

	<tr><td><span class="bold">Invoice Values Per Month In <?php echo($currentYear); ?></span></td></tr>

	<tr><td><div class="widget_graph" id="placeholder"></div></td></tr>
	
</table>

<!-- // END INVOICE GRAPH -->



<!-- INVOICES -->


<h5>5 Most Recent Invoices</h5>

<table class="responsive_table" id="invoices_table">

	<thead>
	
		<tr>
			<th>Invoice #</th>
			<th>Invoice Date</th>
			<th>Client</th>
			<th class="center">Total</th>
			<th class="center">Status</th>
			<th class="center no_sort">View/Edit</th>
		</tr>

	</thead>


	<!-- INVOICES LOOP -->

	<?php $count = 0;?>

	<?php foreach($invoices as $invoice) : ?>

		<?php 

			$year = (int)(substr($invoice['Invoice']['invoice_date'], 0, -6));

			$month = (int)(substr($invoice['Invoice']['invoice_date'], 5, -3));

		?>

		<?php if($count < 5) : ?>

			<tr>
				<td><?php echo $invoice['Invoice']['invoice_number']?></td>
				<td><?php echo $invoice['Invoice']['invoice_date']?></td>
				<td><?php echo $invoice['Invoice']['client_name']?></td>
				<td class="right"><?php echo $currency. number_format($invoice['Invoice']['invoice_total'], 2, '.', ',')?></td>
				<td class="status"><?php echo $invoice['Invoice']['status']?></td>
				<td class="center small_cell">
					<?php echo $this->Html->link('View/Edit', array('controller' => 'invoices', 'action' => 'view', $invoice['Invoice']['id']), array('class' => 'view')); ?>
				</td>


			</tr>

			<?php $count++; ?>

		<?php endif; ?>	


		<!-- Update Totals Array -->

		<?php 

			if ($year == $currentYear) {

				$yearData_Invoices[$year][$month] += $invoice['Invoice']['invoice_total'];

			} else if ($year == ($currentYear - 1)) {

				$yearData_Invoices[$year][$month] += $invoice['Invoice']['invoice_total'];

			}

		?>

	<?php endforeach; ?>

	<!-- // END INVOICES LOOP -->
	

</table>

<!-- // END INVOICES -->



<!-- QUOTES -->

<h5>Quotes Expiring In Next 7 Days</h5>

<table class="responsive_table" id="quotes_table">

	<thead>
	
		<tr>
			<th>Date</th>
			<th>Client</th>
			<th>Expires</th>
			<th class="center">Total</th>
			<th class="center">Status</th>
			<th class="center no_sort">View/Edit</th>
		</tr>

	</thead>

	<?php foreach($quotes as $quote) : ?>

		<tr>
			<td><?php echo $quote['Quote']['quote_date']?></td>
			<td ><?php echo $quote['Client']['client_name']?></td>
			<td><?php echo $quote['Quote']['expires']?></td>
			<td class="right"><?php echo $currency. number_format($quote['Quote']['quote_total'], 2, '.', ',')?></td>
			<td class="quote_status"><?php echo $quote['Quote']['status']?></td>
			<td class="center small_cell">
				<?php echo $this->Html->link('View/Edit', array('action' => 'view', $quote['Quote']['id']), array('class' => 'view')); ?>
			</td>


		</tr>

	<?php endforeach; ?>
	
</table>

<!-- // END QUOTES -->


<!-- INFO TILE -->

<?php
	$this->start('info_tile');

	$add_client_link = $this->Html->link('New Client',
	    array('controller' => 'clients', 'action' => 'add')
	);

	echo $this->Html->div('div_link info_button_primary', '<span class="icon-plus-2"></span>'.$add_client_link);

	$add_invoice_link = $this->Html->link('New Invoice',
			    array('controller' => 'invoices', 'action' => 'add')
			);

	echo $this->Html->div('div_link info_button_primary', '<span class="icon-plus-2"></span>'.$add_invoice_link);

	$add_quote_link = $this->Html->link('New Quote',
			    array('controller' => 'quotes', 'action' => 'add')
			);

	echo $this->Html->div('div_link info_button_primary', '<span class="icon-plus-2"></span>'.$add_quote_link);

	$this->end();
?>

<!-- // END INFO TILE -->



<!-- SCRIPTS -->

<?php echo $this->Html->script('jquery.dataTables');?>

<?php echo $this->Html->script('jquery.flot');?>

<script type="text/javascript">

	$(document).ready(function() {

		var graphColor = "<?= $graphColor ?>";


	    // Set Invoice Graph

	    var currentInvoiceDataJSON = <?php echo json_encode($yearData_Invoices[$currentYear] ); ?>;

		var currentInvoiceData = []
		var i=0;
		for (var o in currentInvoiceDataJSON) currentInvoiceData[i++]=[o,currentInvoiceDataJSON[o]]


	    var previousInvoiceDataJSON = <?php echo json_encode($yearData_Invoices[$previousYear] ); ?>;

	    var previousInvoiceData = []
		i=0;
		for (var o in previousInvoiceDataJSON) previousInvoiceData[i++]=[o,previousInvoiceDataJSON[o]]


	    $.plot($("#placeholder"), 

	    	[ 
	  			
	  			{ label: "Last Year", data: previousInvoiceData, color: "#eee" },

	  			{ label: "Current Year", data: currentInvoiceData, color: graphColor }

			]

			, {

				series: {
					lines: { show: true },
					points: { show: true }
				},

				grid: { hoverable: true, clickable: true },

				xaxis: {
		            ticks: [0, [1, "JAN"], [2, "FEB"], [3, "MAR"], [4, "APR"], [5, "MAY"], [6, "JUN"], [7, "JUL"], [8, "AUG"], [9, "SEP"], [10, "OCT"], [11, "NOV"], [12, "DEC"] ]
		        },

		        shadowSize: 0,
               
        	}
        );



	});
</script>