<!DOCTYPE html>

<?php
/**
 *
 * PHP 5
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright 2005-2012, Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2005-2012, Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       Cake.View.Layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       MIT License (http://www.opensource.org/licenses/mit-license.php)
 */

// $cakeDescription = __d('cake_dev', 'CakePHP: the rapid development php framework');?>


<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->


<head>

	<!-- Meta -->

	<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
	<title>Admin</title>
	<meta name="description" content="">
	<meta name="author" content="">


	<!-- Mobile Specific Meta -->

	<meta name="HandheldFriendly" content="True">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">


	<!-- CSS -->

	<!--[if lt IE 9]><script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script><![endif]-->

	<?php
		echo $this->Html->css('skeleton');
		echo $this->Html->css('dead_pixel');
		echo $this->Html->css('confirm');
		echo $this->Html->css('farbtastic');
	?>


	<!-- Scripts -->

	<script type="text/javascript">var myBaseUrl = '<?php echo $this->Html->url('/'); ?>';</script>

	<?php echo $this->Html->script('https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');?>

	<?php echo $this->Html->script('dead_pixel_upload/assets/js/jquery.filedrop');?>

	<?php echo $this->Html->script('dead_pixel_upload/assets/js/script');?>

	<?php echo $this->Html->script('jquery.reveal');?>

	<?php echo $this->Html->script('farbtastic');?>

</head>

<body>

		<!-- WRAPPER -->

		<div class="wrapper">


			<!-- HEADER -->

			<div class="header">

				<div class="header_container">

					<div class="logo">

						<?php //add if

							echo $this->Html->image('logo.png', array('alt' => 'Logo', 'width' => '214', 'height' => '36'));

						?>

					</div>

					<div class="menu_button icon-grid-view"></div>

					<div></div>

				</div>

			</div>

			<!-- // END HEADER -->


			<!-- TITLE TILE -->

		    <div class="settings_title_tile">

		        <div class="page_title"><h1><?php echo $title; ?></h1></div>

		    </div>


		    <!-- // END TITLE TILE -->


		    <!-- NAV TILE -->

		    <div class="nav_tile">

		    	<div class="nav_tile_container">

			    	<div class="container">

						<div class="three columns settings div_link"><div class="menu_label"><span class="icon-cog"></span>
						<h2><?php echo $this->Html->link('CONFIG', '/settings/edit_config/1/');?></h2></div></div>

						<div class="three columns settings div_link"><div class="menu_label"><span class="icon-droplet"></span>
						<h2><?php echo $this->Html->link('THEME', '/settings/edit_theme/1/');?></h2></div></div>

						<div class="three columns settings div_link"><div class="menu_label"><span class="icon-user"></span>
						<h2><?php echo $this->Html->link('USERS', '/users/');?></h2></div></div>

						<div class="three columns settings div_link"><div class="menu_label"><span class="icon-mail"></span>
						<h2><?php echo $this->Html->link('EMAIL', '/EmailTemplates/');?></h2></div></div>

						<div class="three columns settings div_link"><div class="menu_label"><span class="icon-clipboard"></span>
						<h2><?php echo $this->Html->link('TAX RATES', '/taxrates/');?></h2></div></div>

					</div>

				</div>

		    </div>

		    <!-- // END NAV TILE -->


			<!-- CONTENT -->

			<div class="content">

				<div class="content_container">

					<?php echo $this->Session->flash(); ?>

					<?php echo $this->fetch('content'); ?>

				</div>

			</div>

			<!-- // END CONTENT -->


			<!-- INFO TILE -->

			<div class="info_tile">

				<div class="info_tile_container">
  
				    <?php echo $this->fetch('info_tile'); ?>

			    </div>

			</div>

			<!-- // END INFO TILE -->


			<div class="push"></div>

		</div>

		<!-- // END WRAPPER -->


		<!-- FOOTER -->

		<div class="footer">

			<?php echo $this->Html->link(
				$this->Html->image('logo_powered.png', array('alt' => 'Adaptive Client Manager - Powered By Dead Pixel Studio', 'width' => '200', 'height' => '26')),
				'http://www.deadpixelstudio.co.uk/',
				array('target' => '_blank', 'escape' => false)
			);?>

		</div>

		<!-- // END FOOTER -->



	<!-- DEBUG -->

	<?php echo $this->element('sql_dump'); ?>

	<!-- // END DEBUG -->



	<!-- SCRIPTS -->

	<script type="text/javascript">

		$(document).ready(function() {

			if ($('.menu_button').is(":visible")) {

				$('.nav_tile_container').hide();

				$('.menu_button').click(function() {
					$('.nav_tile_container').slideToggle(500);
				});

			};

			$(".div_link").click(function(){
			     window.location=$(this).find("a").attr("href"); 
			     return false;
			});

		});
		
	</script>

	<!-- // END SCRIPTS -->


</body>

</html>


