<?php 

	App::import('Vendor', 'fpdf/tfpdf');

	// Set Vars

	$quoteNumber = $thisQuote['Quote']['quote_number'];
	$quoteDate = $thisQuote['Quote']['quote_date'];
	$quoteNotes = $thisQuote['Quote']['public_notes'];

	$currency = $settings['Setting']['currency'];

	$companyName = $settings['Setting']['company_name'];
	$companyAddress1 = $settings['Setting']['company_address_line_1'];
	$companyAddress2 = $settings['Setting']['company_address_line_2'];
	$companyTown = $settings['Setting']['company_town'];
	$companyCity = $settings['Setting']['company_city'];
	$companyState = $settings['Setting']['company_state'];
	$companyZip = $settings['Setting']['company_zip'];
	$companyPhone = $settings['Setting']['company_phone'];
	$companyEmail = $settings['Setting']['company_email'];
	$companyCustom = $settings['Setting']['custom_1'];
	$paymentInfo = $settings['Setting']['payment_info'];

	$companyFullAddress = '';

	if ($companyAddress1) {
	    $companyFullAddress = $companyFullAddress.$companyAddress1;
	}  

	if ($companyAddress2) {
	    $companyFullAddress = $companyFullAddress.', '.$companyAddress2;
	}

	if ($companyTown) {
	    $companyFullAddress = $companyFullAddress.', '.$companyTown;
	}

	if ($companyCity) {
	    $companyFullAddress = $companyFullAddress.', '.$companyCity;
	}

	if ($companyState) {
	    $companyFullAddress = $companyFullAddress.', '.$companyState;
	}

	if ($companyZip) {
	    $companyFullAddress = $companyFullAddress.', '.$companyZip;
	}

	if ($companyPhone) {
	    $companyFullAddress = $companyFullAddress.' | TEL: '.$companyPhone;
	}  

	if ($companyEmail) {
	    $companyFullAddress = $companyFullAddress.' | EMAIL: '.$companyEmail;
	} 

	if ($companyCustom) {
	    $companyFullAddress = $companyFullAddress.' | '.$companyCustom;
	} 


	$clientName = $thisQuote['Client']['client_name'];
	$clientAddress1 = $thisQuote['Client']['client_address_line_1'];
	$clientAddress2 = $thisQuote['Client']['client_address_line_2'];
	$clientTown = $thisQuote['Client']['client_town'];
	$clientCity = $thisQuote['Client']['client_city'];
	$clientState = $thisQuote['Client']['client_state'];
	$clientZip = $thisQuote['Client']['client_zip'];
	$clientPhone = $thisQuote['Client']['client_phone'];
	$clientEmail = $thisQuote['Client']['client_email'];
	$clientCustom = $thisQuote['Client']['custom_1'];


	$clientFullAddress = '';

	if ($clientAddress1) {
	    $clientFullAddress = $clientFullAddress.$clientAddress1;
	}  

	if ($clientAddress2) {
	    $clientFullAddress = $clientFullAddress.', '.$clientAddress2;
	}

	if ($clientTown) {
	    $clientFullAddress = $clientFullAddress.', '.$clientTown;
	}

	if ($clientCity) {
	    $clientFullAddress = $clientFullAddress.', '.$clientCity;
	}

	if ($clientState) {
	    $clientFullAddress = $clientFullAddress.', '.$clientState;
	}

	if ($clientZip) {
	    $clientFullAddress = $clientFullAddress.', '.$clientZip;
	}


	$clientContact = '';

	if ($clientPhone) {
	    $clientContact = 'TEL: '.$clientContact.$clientPhone.'    ';
	}  

	if ($clientEmail) {
	    $clientContact = $clientContact.'EMAIL: '.$clientEmail.'    ';
	}

	if ($clientCustom) {
	    $clientContact = $clientContact.$clientCustom;
	}


	$items = $thisQuote['Quote_Items'];

	$subTotal = 0;
	$tax = 0;
	$total = 0;


	// Create PDF

	$pdf = new tFPDF();
	$pdf->AddPage();
	$pdf->AddFont('Ostrich','','ostrich-regular-webfont.php');
	$pdf->AddFont('DejaVu','','DejaVuSansCondensed.ttf',true);

	$pdf->SetAutoPageBreak(true, 10);
	$pdf->SetDrawColor(238, 238, 238);
	$pdf->SetFillColor(238, 238, 238);
	$pdf->SetTextColor(80, 80, 80);


	// Company Logo

	$pdf->Image(IMAGES.'logo.png',10,10,88);


	// Quote Details

	$pdf->setXY(180, 14);

	$pdf->SetFont('Ostrich','',40);
	$pdf->Cell(0, 4, 'QUOTE', 0, 2,'R');

	$pdf->SetFont('Ostrich','',26);
	$pdf->Cell(0, 16, '#'.$quoteNumber, 0, 2,'R');

	$pdf->SetFont('DejaVu','',10);
	$pdf->Cell(0, 10, 'Date: '.$quoteDate, 0, 1,'R');
	$pdf->Cell(0, 0, 'Due: '.$quoteDate, 0, 1,'R');


	// Client Details

	$pdf->setXY(10, 38);

	$pdf->SetFont('DejaVu','',12);
	$pdf->Cell(0, 2, 'To: '.$clientName, 0, 2);
	
	$pdf->SetFont('DejaVu','',9);
	$pdf->Cell(0, 8, $clientFullAddress, 0, 2);

	$pdf->Cell(0, 0, $clientContact, 0, 2);

	$pdf->setXY(10, 58);


	// Quote Items

	$pdf->SetFont('Ostrich','',14);
	$pdf->Cell(122, 10, 'Item', 0, 0);
	$pdf->Cell(16, 10, 'QTY', 0, 0, "C");
	$pdf->Cell(26, 10, 'Price', 0, 0, "R");
	$pdf->Cell(26, 10, 'Net SubTotal', 0, 1, "R");

	$pdf->SetFont('DejaVu','',9);

	foreach ($items as $item) {

		$itemSubTotal = $item['quantity'] * $item['unit_price'];
		$subTotal += $itemSubTotal;

		

		$itemTax = $itemSubTotal * ($item['tax_rate'] / 100);
		$tax += $itemTax;

		$itemSubTotal = number_format($itemSubTotal, 2, '.', ',');

		
		$pdf->SetTextColor(80, 80, 80);
		$pdf->SetFont('DejaVu','',9);
		$pdf->Cell(122, 6, $item['title'], 0, 0, "", true);
		$pdf->Cell(16, 6, $item['quantity'], 0, 0, "C", true);
		$pdf->Cell(26, 6, $item['unit_price'], 0, 0, "R", true);
		$pdf->Cell(26, 6, $itemSubTotal, 0, 1, "R", true);

		$pdf->SetTextColor(128, 128, 128);
		$pdf->SetFont('DejaVu','',9);
		$pdf->MultiCell(0, 5, $item['details'], 0, 2);

	}


	// Calculations & Totals

	$total = $subTotal + $tax;

	$total = number_format($total, 2, '.', ',');

	$tax = number_format($tax, 2, '.', ',');

	$subTotal = number_format($subTotal, 2, '.', ',');

	$pdf->setXY(10, 200);
	$pdf->SetFont('Ostrich','',16);
	$pdf->Cell(156, 10, 'Net Total:', 0, 2, "R");
	$pdf->setXY(10, 200);
	$pdf->SetFont('DejaVu','',16);
	$pdf->Cell(0, 10, $currency.$subTotal, 0, 2, "R");

	$pdf->setXY(10, 208);
	$pdf->SetFont('Ostrich','',16);
	$pdf->Cell(156, 10, 'Tax:', 0, 2, "R");
	$pdf->setXY(10, 208);
	$pdf->SetFont('DejaVu','',16);
	$pdf->Cell(0, 10, $currency.$tax, 0, 2, "R");

	$pdf->setXY(10, 218);
	$pdf->SetFont('Ostrich','',18);
	$pdf->Cell(156, 10, 'Total:', 0, 2, "R");
	$pdf->setXY(10, 218);
	$pdf->SetFont('DejaVu','',18);
	$pdf->Cell(0, 10, $currency.$total, 0, 2, "R");


	// Notes & Terms

	$pdf->setXY(10, 236);

	$pdf->SetTextColor(80, 80, 80);
	$pdf->SetFont('DejaVu','',9);

	$pdf->Cell(0, 6, 'Notes', 0, 2,'', true);

	$pdf->SetTextColor(128, 128, 128);
	$pdf->SetFont('DejaVu','',9);

	$pdf->MultiCell(0, 6, $quoteNotes, 0, 2,'', true);

	$pdf->setXY(10, 256);

	$pdf->SetTextColor(80, 80, 80);
	$pdf->SetFont('DejaVu','',9);

	$pdf->Cell(0, 6, 'Payment Information', 0, 2,'', true);

	$pdf->SetTextColor(128, 128, 128);
	$pdf->SetFont('DejaVu','',9);
	
	$pdf->MultiCell(0, 6, $paymentInfo, 0, 2,'', true);

	
	// Footer - Company Details

	$pdf->setXY(0, 280);
	$pdf->SetTextColor(80, 80, 80);
	$pdf->SetFont('DejaVu','',7);

	$pdf->Cell(0, 4, $companyFullAddress, 0, 2,'C');

	$pdf->Output('Quote_'.$quoteNumber.'.pdf', 'I');

?>