<h3>Client Statement</h3>

<?php 

	$userRole = AuthComponent::user('role');

	$currency = $currency['Setting']['currency'];

	$currentYear = date('Y');

	$previousYear = $currentYear - 1;

	$yearData_Invoices = array(
		
		$currentYear => array(

			1  => 0,
			2  => 0,
			3  => 0,
			4  => 0,
			5  => 0,
			6  => 0,
			7  => 0,
			8  => 0,
			9  => 0,
			10 => 0,
			11 => 0,
			12 => 0

			),

    	($previousYear) => array(

			1  => 0,
			2  => 0,
			3  => 0,
			4  => 0,
			5  => 0,
			6  => 0,
			7  => 0,
			8  => 0,
			9  => 0,
			10 => 0,
			11 => 0,
			12 => 0

			),
    );

    $invoicesTotal = 0;

    $paymentsTotal = 0;

    $balance = 0;

?>


<?php 

    $date = date('Y-m-d');

	echo '<p><span class="bold">Report Generated On: </span>'. $date .' </p>';

	// Not Required By Client Users

	if ($userRole !== 'client') {

		echo '<p><span class="bold">By: </span>'. AuthComponent::user('first_name') . ' ' . AuthComponent::user('last_name') .' </p>';

	}

?>







<h5><?php echo $client['Client']['client_name']?></h5>

<div class="container">

	<div class="two columns">

		<!-- CLIENT CURRENT BALANCE -->
		
		<table>

			<tr><th>Client's Current Balance</th></tr>

			<tr><td id="client_balance" class="stat">Client Name:</td></tr>

		</table>

		<!-- // END CLIENT CURRENT BALANCE -->

	</div>

	<div class="two columns">


		<!-- CLIENT HISTORICAL STATS -->

		<table>

			<tr><th>Historical Stats (All Time)</th></tr>

			<tr><td><span class="bold">Total Invoiced: </span><span id="total_invoiced"></span></td></tr>

			<tr><td><span class="bold">Total Received: </span><span id="total_received"></span></td></tr>

		</table>

		<!-- // END CLIENT HISTORICAL STATS -->

	</div>

</div>

<!-- // END CONTAINER -->



<!-- RECORDS -->

<?php $invoices = $client['Invoice']; ?>

<?php if($printTables): ?>

<h5>Activity By <?php echo $client['Client']['client_name']?></h5>

	<table class="datatable" id="invoices_table">

		<thead>
		
			<tr>
				<th>Date</th>
				<th>Activity</th>
				<th class="right">Amount</th>
			</tr>

		</thead>

<?php endif; ?>

	<!-- INVOICES LOOP -->

	<?php foreach($invoices as $invoice) : ?>

		<?php 

			$year = (int)(substr($invoice['invoice_date'], 0, -6));

			$month = (int)(substr($invoice['invoice_date'], 5, -3));

			$invoicesTotal += $invoice['invoice_total'];

		?>

		<?php if($printTables): ?>

			<tr>
				<td><?php echo $invoice['invoice_date']?></td>
				<td>New Invoice (<?php echo $invoice['invoice_number'].' - '. $invoice['status']?>)</td>
				<td class="right"><?php echo $currency.' '.number_format($invoice['invoice_total'], 2, '.', ',')?></td>
			</tr>

		<?php endif; ?>


		<?php 

			if ($year == $currentYear) {

				$yearData_Invoices[$year][$month] += $invoice['invoice_total'];

			} else if ($year == ($currentYear - 1)) {

				$yearData_Invoices[$year][$month] += $invoice['invoice_total'];

			}

		?>

	<?php endforeach; ?>

	<!-- // END INVOICES LOOP -->


	<!-- PAYMENTS LOOP -->

	<?php $payments = $client['Payment']; ?>

	<? foreach ($payments as $payment): ?>

		<?php if($printTables): ?>

			<tr class="primary">
				<td class="date_cell"><?php echo $payment['date']?></td>
				<td>Payment Received (<?php echo $payment['method']?>)</td>
				<td class="right"><?php echo '- '.$currency.' '.number_format($payment['amount'], 2, '.', ',')?></td>
			</tr>

		<?php endif; ?>

		<?php $paymentsTotal += $payment['amount'] ?>
		
	<? endforeach; ?>

	<!-- // END PAYMENTS LOOP -->

<?php if($printTables): ?>	

	</table>

<?php endif; ?>

<!-- // END RECORDS -->


<!-- CALCULATIONS -->

<?php $balance = $invoicesTotal - $paymentsTotal?>

<!-- CALCULATIONS -->


<!-- INFO TILE -->

<?php

	$this->start('info_tile');

	echo $this->Html->div('div_link info_button_normal', '<span class="icon-arrow-left "></span><a href="javascript:history.back()">Back</a>');

	$this->end();

?>

<!-- // END INFO TILE -->


<?php echo $this->Html->script('jquery.dataTables');?>

<script type="text/javascript">

	$(document).ready(function() {


		//Set Data Tables

		if ( $('#invoices_table')[0] ) { 

			$('#invoices_table').dataTable( {

				"aaSorting": [[ 0, "desc" ]],
		        "sDom": '<"top">irt<"bottom"lp><"clear">',
		        "oLanguage": {
		         "sSearch": "Search (Auto Filter):"},
		         "fnDrawCallback": function( oSettings ) { updateClasses(); },
		         "aoColumns": [
			      { "bSortable": false },
			      { "bSortable": false },
			      { "bSortable": false }
			    ]

	    	} ); 

	    }


	 	// Set Stat Totals

		$('#total_invoiced').text('<?php echo $currency.number_format($invoicesTotal, 2, '.', ','); ?>');

		$('#total_received').text('<?php echo $currency.number_format($paymentsTotal, 2, '.', ','); ?>');

		$('#client_balance').text('<?php echo $currency.number_format($balance, 2, '.', ','); ?>');

	});

</script>


