<h3>Reports Generator</h3>


<?php

	$clients = $this->requestAction('/clients/get_names');

	$client_array = array();

	foreach ($clients as $client) {

		$client_array[$client['Client']['id']] = $client['Client']['client_name'];

	}

	$invoiceTypeOptions = array('All' => 'All', 'Unpaid' => 'Unpaid', 'Part Paid' => 'Part Paid', 'Paid' => 'Paid');
	
	$yesNoOptions = array('Yes' => 'Yes', 'No' => 'No');

?>	

<!-- INVOICES -->

<h5>Invoice Reports</h5><br>

<?php echo $this->Html->div('info_button_primary show_hide_button', '<span class="icon-briefcase "></span>Build An Invoice Report');?>

<div class="report_form">

	<h4>Build Your Invoices Report</h4>

	<?php

		echo $this->Form->create('Reports', array('action' => 'invoices'));

		echo $this->Form->input('client_name_list', array(
		    'options' => $client_array,
		    'empty' => 'All',
		    'label' => 'Client'
		));

		echo $this->Form->input('invoice_status', array('options' => $invoiceTypeOptions, 'label' => 'Invoice Type'));

		echo $this->Form->input('invoice_from_date', array(
			'type' => 'date',
		    'dateFormat' => 'DMY',
		    'separator' => '',
		    'minYear' => date('Y') - 10,
	    	'maxYear' => date('Y'),
	    	'label' => 'From'
		));

		echo $this->Form->input('invoice_to_date', array(
			'type' => 'date',
		    'dateFormat' => 'DMY',
		    'separator' => '',
		    'minYear' => date('Y') - 10,
	    	'maxYear' => date('Y'),
	    	'label' => 'To'
		));

		echo $this->Form->end();
	?>


	<?php 

		echo $this->Html->div('button_small', '<span class="icon-plus"></span>Run Report', array('id' => 'run_invoice_button'));

	?>

</div>

<!-- // END INVOICES -->


<!-- CLIENT CONTACT LIST -->

<h5>Client Reports</h5><br>

<?php echo $this->Html->div('info_button_primary show_hide_button', '<span class="icon-user "></span>Full Client Contact List');?>

<div class="report_form">

	<h4>Generate Your Client Report</h4>

	<?php 

		$contact_link = $this->Html->link('Run Report',
		    array('controller' => 'reports', 'action' => 'clientContacts')
		);

		echo $this->Html->div('div_link button_small', '<span class="icon-plus"></span>'.$contact_link);

	?>

</div>

<!-- // END CLIENT CONTACT LIST -->


<!-- CLIENT STATEMENT -->

<?php echo $this->Html->div('info_button_primary show_hide_button', '<span class="icon-user "></span>Client Statement');?>

<div class="report_form">

	<h4>Build Your Client Statement</h4>

	<p>This will produce a financial statement regarding a client's current account standing calculated on the value of ALL historical invoices and ALL historical payments entered. You can choose to either generate and display all these records in the report, or whether to just simply print the balances without the data table.</p>

	<?php

		echo $this->Form->create('Reports', array('action' => 'clientStatement'));

		echo $this->Form->input('client_name_list', array(
		    'options' => $client_array,
		    'label' => 'Client'
		));

		echo $this->Form->input('print_table', array('options' => $yesNoOptions, 'label' => 'Display All Records?'));

		echo $this->Form->end();
	?>


	<?php 

		echo $this->Html->div('button_small', '<span class="icon-plus"></span>Run Report', array('id' => 'run_statement_button'));

	?>

</div>

<!-- // END CLIENT STATEMENT -->



<!-- PAYMENTS -->

<h5>Payment Reports</h5><br>

<?php echo $this->Html->div('info_button_primary show_hide_button', '<span class="icon-credit-card "></span>Build A Payment Report');?>

<div class="report_form">

	<h4>Build Your Payments Report</h4>

	<?php

		echo $this->Form->create('Reports', array('action' => 'payments'));

		echo $this->Form->input('client_name_list', array(
		    'options' => $client_array,
		    'empty' => 'All',
		    'label' => 'Client'
		));

		echo $this->Form->input('invoice_from_date', array(
			'type' => 'date',
		    'dateFormat' => 'DMY',
		    'separator' => '',
		    'minYear' => date('Y') - 10,
	    	'maxYear' => date('Y'),
	    	'label' => 'From'
		));

		echo $this->Form->input('invoice_to_date', array(
			'type' => 'date',
		    'dateFormat' => 'DMY',
		    'separator' => '',
		    'minYear' => date('Y') - 10,
	    	'maxYear' => date('Y'),
	    	'label' => 'To'
		));

		echo $this->Form->end();
	?>


	<?php 

		echo $this->Html->div('button_small', '<span class="icon-plus"></span>Run Report', array('id' => 'run_payments_button'));

	?>

</div>

<!-- // END PAYMENTS -->



<!-- INFO TILE -->

<?php
	$this->start('info_tile');

	$this->end();
?>

<!-- // END INFO TILE -->



<!-- SCRIPTS -->

<script type="text/javascript">

	$(document).ready(function() {


		// Style Select Boxes

	    $('select').wrap('<div class="styled_select" />');


	    // Run Invoice Report

		$('#run_invoice_button').click(function() {

			$('#ReportsInvoicesForm').submit();

		});


		// Run Statement Report

		$('#run_statement_button').click(function() {

			$('#ReportsClientStatementForm').submit();

		});


		// Run Payments Report

		$('#run_payments_button').click(function() {

			$('#ReportsPaymentsForm').submit();

		});


		// Hide Forms By Default

		$('.report_form').hide();


		// Show Forms On Click

		$('.show_hide_button').click(function() {

			$('.report_form').slideUp();

			$(this).next('div').slideToggle();

		});


	});

</script>




