<h3>Add/Delete Tax Rates</h3>

<p>These tax rates form the tax drop-down list when you add items to invoices later.</p>

<p>By default, there is a tax rate of 0.00% added to the table for non-taxable items and/or services. You can feel free to delete this, or any other custom created tax rates if you need using the 'Delete' buttons next to each item in the table. You can also add new tax rates using the form below.</p>

<table id="tax_table">

	<thead>
	
		<tr>
			<th>Tax Name</th>
			<th>Rate (%)</th>
			<th class="table_icon">Actions</th>
		</tr>

	</thead>

	<?php foreach($tax_rates as $tax_rate) : ?>

		<tr>
			<td><?php echo $tax_rate['Taxrate']['name']?></td>
			<td><?php echo $tax_rate['Taxrate']['rate']?> %</td>
			<?php echo '<td class="center">' ?>
        
            <?php echo 

            	$this->Html->link('Delete', array('controller'=>'Taxrates', 'action'=>'delete', $tax_rate['Taxrate']['id']), array('class' => 'tax_delete', 'id' => 'tax_rate_'.$tax_rate['Taxrate']['id']));  
            ?>

			<?php echo'</td>' ?>


		</tr>

	<?php endforeach; ?>
	
</table>



<div id="add_tax_form">

	<h4>Add New Tax Rate</h4>

	<?php

		echo $this->Form->create('Taxrate', array('action' => 'add'));

		echo $this->Form->input('name');
		echo $this->Form->input('rate');

		echo $this->Form->end();
	?>

	<?php $save_tax_link = $this->Html->link('Save Tax Rate', array('controller'=>'Tax', 'action'=>'add'),
                								array('class' => 'item_add', 'id' => 'tax_add_button'));

	echo $this->Html->div('button_small', '<span class="icon-plus"></span>Save Tax Rate', array('id' => 'tax_add_button'));

	?>

</div>



<!-- INFO TILE -->

<?php

	$this->start('info_tile');

	$exit_link = $this->Html->link('Exit Settings',
		    array('controller' => 'dashboard', 'action' => 'index')
		);		

	echo $this->Html->div('div_link info_button_normal', '<span class="icon-cancel"></span>'.$exit_link);

?>
	
<?php $this->end();?>

<!-- // END INFO TILE -->



<!-- SCRIPTS -->

<script type="text/javascript">

	$(document).ready(function() {

		// Save New Tax Rate
		$('#tax_add_button').click(function() {
			$('#TaxrateAddForm').submit();
		});


		// Delete Tax Rate
		$('a.tax_delete').click(function(e){

		    e.preventDefault();
		        
			var result = confirm('Are you sure you want to permanently delete this tax rate?');
			
			if(result) {
				$.ajax({
					type:"POST",
					url:$(this).attr('href'),
					data:"ajax=1",
					dataType: "json",
					success:function(response){
					}
				});
				setInterval("location.reload()", 500);
			}
		return false;
		                
		}); 

	});

</script>