<?php echo $this->Html->css('usersIndex'); ?>

<h3>View All Users</h3>

<p>Below is a table of all registered users. You can delete users using the 'Delete' buttons next to each user in the table. However, by design and for security reasons, attempting to delete the account that you are currently signed in as will fail.</p>

<p>If the default user 'Username: admin' 'Name: Demo User' from installation exists in this table it must be deleted for security reasons.</p>


<!-- STAFF ACCOUNTS -->

<div class="report_form">

<h4>Staff User Accounts</h4>

<table class="responsive_table" id="staff_table">

	<thead>
	
		<tr>
			<th>Username</th>
			<th>First Name</th>
			<th>Last Name</th>
			<th>Role</th>
			<th class="table_icon no_sort">Actions</th>
		</tr>

	</thead>

	<?php foreach($users as $user) : ?>

		<?php if($user['User']['role'] != 'client') : ?>

			<tr>
				<td><?php echo $user['User']['username']?></td>
				<td><?php echo $user['User']['first_name']?></td>
				<td><?php echo $user['User']['last_name']?></td>
				<td><?php echo strtoupper($user['User']['role']);?></td>



					<?php echo '<td class="center">' ?>
		        
		            <?php echo 

		            	$this->Html->link('View/Edit', array('controller'=>'Users', 'action'=>'view', $user['User']['id']), array('class' => 'view', 'id' => 'user_'.$user['User']['id']));  
		            ?>

					<?php echo'</td>' ?>



			</tr>

		<?php endif; ?>

	<?php endforeach; ?>
	
</table>

</div>

<!-- // END STAFF ACCOUNTS -->


<!-- CLIENT ACCOUNTS -->

<div class="report_form">

<h4>Client User Accounts</h4>

<table class="responsive_table" id="client_table">

	<thead>
	
		<tr>
			<th>Username</th>
			<th>Client Name</th>
			<th>Role</th>
			<th class="table_icon no_sort">Actions</th>
		</tr>

	</thead>

	<?php foreach($users as $user) : ?>

		<?php if($user['User']['role'] === 'client') : ?>

			<tr>
				<td><?php echo $user['User']['username']?></td>
				<td><?php echo $user['User']['first_name']?></td>
				<td><?php echo strtoupper($user['User']['role']);?></td>



					<?php echo '<td class="center">' ?>
		        
		            <?php echo 

		            	$this->Html->link('View/Edit', array('controller'=>'Users', 'action'=>'view', $user['User']['id']), array('class' => 'view', 'id' => 'user_'.$user['User']['id']));  
		            ?>

					<?php echo'</td>' ?>



			</tr>

		<?php endif; ?>

	<?php endforeach; ?>
	
</table>

</div>

<!-- // END CLIENT ACCOUNTS -->



<!-- INFO TILE -->

<?php
	$this->start('info_tile');

	$exit_link = $this->Html->link('Exit Settings',
	    array('controller' => 'dashboard', 'action' => 'index')
	);		

	echo $this->Html->div('div_link info_button_normal', '<span class="icon-cancel"></span>'.$exit_link);

	$add_link = $this->Html->link('Add User',
	    array('controller' => 'users', 'action' => 'add')
	);

	echo $this->Html->div('div_link info_button_primary', '<span class="icon-plus-2"></span>'.$add_link);

	$this->end();
?>

<!-- // END INFO TILE -->



<!-- SCRIPTS -->

<?php echo $this->Html->script('jquery.dataTables');?>

<script type="text/javascript">

	$(document).ready(function() {

		if ( $('#staff_table')[0] ) { $('#staff_table').dataTable( {
	        "sDom": '<"top"f>irt<"bottom"lp><"clear">',
	        "oLanguage": {
	         "sSearch": "Search (Auto Filter):"}
		    } ); 
		}

		if ( $('#client_table')[0] ) { $('#client_table').dataTable( {
	        "sDom": '<"top"f>irt<"bottom"lp><"clear">',
	        "oLanguage": {
	         "sSearch": "Search (Auto Filter):"}
		    } ); 
		}


		// Delete User
		$('a.user_delete').click(function(e){

		    e.preventDefault();
		        
			var result = confirm('Are you sure you want to permanently delete this user?');
			
			if(result) {
				$.ajax({
					type:"POST",
					url:$(this).attr('href'),
					data:"ajax=1",
					dataType: "json",
					success:function(response){
					}
				});
				setInterval("location.reload()", 500);
			}
		return false;
		                
		}); 

	});

</script>