SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


CREATE TABLE `clients` (
  `id` int(11) NOT NULL auto_increment,
  `client_name` varchar(64) NOT NULL,
  `client_contact` varchar(64) NOT NULL,
  `client_phone` varchar(32) NOT NULL,
  `client_email` varchar(64) NOT NULL,
  `client_address_line_1` varchar(64) NOT NULL,
  `client_address_line_2` varchar(64) NOT NULL,
  `client_town` varchar(64) NOT NULL,
  `client_city` varchar(64) NOT NULL,
  `client_state` varchar(64) NOT NULL,
  `client_zip` varchar(32) NOT NULL,
  `custom_1` varchar(64) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE `email_templates` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

INSERT INTO `email_templates` VALUES(1, 'Client Invoice', '<p><span>Hi [CLIENT_CONTACT],</span></p><p><span>Please find Invoice Number: [INVOICE_NUMBER] (Total: [INVOICE_TOTAL]) attached to this email.</span></p><p><span>If you have any questions then please contact us at [COMPANY_EMAIL].</span></p><p><span> </span></p><p><span>Regards,</span></p><p> </p><p><span>[USER]</span></p><p><span>[COMPANY_NAME]</span></p>');
INSERT INTO `email_templates` VALUES(2, 'Client Quote', '<p><span>Hi [CLIENT_CONTACT],</span></p><p><span>Please find Quote Number: [QUOTE_NUMBER] attached to this email.</span></p><p><span>If you have any questions then please contact us at [COMPANY_EMAIL].</span></p><p><span> </span></p><p><span>Regards,</span></p><p> </p><p><span>[USER]</span></p><p><span>[COMPANY_NAME]</span></p>');

CREATE TABLE `invoices` (
  `id` int(11) NOT NULL auto_increment,
  `invoice_date` date NOT NULL,
  `invoice_number` varchar(20) NOT NULL,
  `client_id` int(11) NOT NULL,
  `client_name` varchar(64) NOT NULL,
  `invoice_total` decimal(9,2) NOT NULL,
  `status` varchar(20) NOT NULL,
  `public_notes` text NOT NULL,
  `private_notes` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` varchar(66) NOT NULL,
  `last_modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_mod_by` varchar(66) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `invoiceNumber` (`invoice_number`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE `items` (
  `id` int(11) NOT NULL auto_increment,
  `invoice_id` int(11) NOT NULL,
  `title` varchar(100) NOT NULL,
  `details` text NOT NULL,
  `quantity` decimal(9,2) NOT NULL,
  `unit_price` decimal(9,2) NOT NULL,
  `tax_rate` float(4,2) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE `payments` (
  `id` int(11) NOT NULL auto_increment,
  `invoice_id` int(11) NOT NULL,
  `client_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `method` varchar(11) NOT NULL,
  `amount` decimal(9,2) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE `quotes` (
  `id` int(11) NOT NULL auto_increment,
  `client_id` int(11) NOT NULL,
  `quote_number` varchar(20) NOT NULL,
  `quote_date` date NOT NULL,
  `created` datetime NOT NULL,
  `expires` date NOT NULL,
  `quote_total` decimal(9,2) NOT NULL,
  `status` varchar(32) NOT NULL,
  `public_notes` text NOT NULL,
  `private_notes` text NOT NULL,
  `created_by` varchar(66) NOT NULL,
  `modified` datetime NOT NULL,
  `last_mod_by` varchar(66) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE `quote_items` (
  `id` int(11) NOT NULL auto_increment,
  `quote_id` int(11) NOT NULL,
  `title` varchar(100) NOT NULL,
  `details` text NOT NULL,
  `quantity` decimal(9,2) NOT NULL,
  `unit_price` decimal(9,2) NOT NULL,
  `tax_rate` float(4,2) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE `settings` (
  `id` int(11) NOT NULL auto_increment,
  `company_name` varchar(64) NOT NULL,
  `company_address_line_1` varchar(64) NOT NULL,
  `company_address_line_2` varchar(64) NOT NULL,
  `company_town` varchar(64) NOT NULL,
  `company_city` varchar(64) NOT NULL,
  `company_state` varchar(64) NOT NULL,
  `company_zip` varchar(32) NOT NULL,
  `company_phone` varchar(32) NOT NULL,
  `company_email` varchar(64) NOT NULL,
  `custom_1` varchar(64) NOT NULL,
  `currency` varchar(6) NOT NULL,
  `payment_info` text NOT NULL,
  `primary_color` varchar(7) NOT NULL,
  `database_host` varchar(128) NOT NULL,
  `database_name` varchar(128) NOT NULL,
  `database_username` varchar(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

INSERT INTO `settings` VALUES(1, '', '', '', '', '', '', '', '', '', '', '$', 'This default payment info will appear on each invoice. It should include payment terms and details.', '#339966', '', '', '');

CREATE TABLE `taxrates` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(20) NOT NULL,
  `rate` float(4,2) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

INSERT INTO `taxrates` VALUES(1, 'Non-Taxable', 0.00);

CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(50) default NULL,
  `password` varchar(50) default NULL,
  `first_name` varchar(64) NOT NULL,
  `last_name` varchar(64) NOT NULL,
  `role` varchar(20) default NULL,
  `created` datetime default NULL,
  `modified` datetime default NULL,
  `email` varchar(64) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

INSERT INTO `users` VALUES(1, 'admin', 'abb5e7789ff6b1b511747e4790c0e8d7d33570c1', 'Demo', 'User', 'admin', '2013-02-05 22:22:04', '2013-02-05 22:22:04', '');
