<?php

	class ItemsController extends AppController {

		var $uses = array('Item', 'Taxrates', 'Client');

		public $components = array('RequestHandler');

		public function beforeFilter() {

	        // Block Clients From Entire Items Area & Redirect Them To Their Client Area

	        $role = parent::roleCheck();
        	
        	if ($role === 'client') {

        		$clientName = $this->Auth->user('first_name');

        		$client = $this->Client->find('first', array(
        			'conditions' => array('Client.client_name' => $clientName),
			        'fields' => array('id'),
				    'recursive' => 0
			    ));

        		$this->Session->setFlash('Clients Are Only Authorised To View Their Own Area');

        		$this->redirect(array('controller' => 'clients', 'action' => 'client_area', $client['Client']['id']));

        	}

	    }


	    function add() {

	    	$this->autoRender = false;

	    	if ($this->request->is('post')) {

	            $this->Item->create();

	            if ($this->Item->save($this->request->data)) {

	                $this->redirect(array('controller' => 'invoices', 'action' => 'edit', $this->request->data['Item']['invoice_id']));

	            } else {

	                $this->Session->setFlash('Unable To Add Item - Please Complete All Required Item Fields');

	                $this->redirect($this->referer());

	            }

	        }

	    }



	    function edit($id = NULL) {

	        if (!$id) {

		        throw new NotFoundException(__('Invalid Item'));

		    }

		    $item = $this->Item->findById($id);

		    if (!$item) {

		        throw new NotFoundException(__('Invalid Item'));

		    }

		    $tax_rates = $this->Taxrates->find('list', array(

		    	'fields' => array('Taxrates.rate', 'Taxrates.rate'),
		    	'order' => array('Taxrates.rate' => 'asc')

		    	));

		    $this->set('tax_rates', $tax_rates);

		    if ($this->request->is('post') || $this->request->is('put')) {

	    	

		    	$this->set('tax_rates', $tax_rates);

		        $this->Item->id = $id;

		        $invoice_id = $this->request->data['Item']['invoice_id'];

		        if ($this->Item->save($this->request->data)) {

		            $this->Session->setFlash('Your Item Has Been Updated');

		            $this->redirect(array('controller' => 'invoices', 'action' => 'edit', $invoice_id));

		        } else {

		            $this->Session->setFlash('Unable To Update Your Item');

		        }

		    }

		    if (!$this->request->data) {

		        $this->request->data = $item;

		    }

	    }



	    function delete($id) {

	    	// print_r($this->request->data);

		    if ($this->request->is('get')) {

		        throw new MethodNotAllowedException('Access Denied Using This Method');

		    }

		    if ($this->Item->delete($id)) {

		        $this->redirect(array('controller' => 'invoices', 'action' => 'edit', $invoice_id));

		    }

		}


	}

?>