<?php

	class PaymentsController extends AppController {

		public $uses = array('Payment', 'Client');

		public $components = array('RequestHandler');

		public function beforeFilter() {

	        // Block Clients From Entire Quotes Area & Redirect Them To Their Client Area

	        $role = parent::roleCheck();
        	
        	if ($role === 'client') {

        		$clientName = $this->Auth->user('first_name');

        		$client = $this->Client->find('first', array(
        			'conditions' => array('Client.client_name' => $clientName),
			        'fields' => array('id'),
				    'recursive' => 0
			    ));

        		$this->Session->setFlash('Clients Are Only Authorised To View Their Own Area');

        		$this->redirect(array('controller' => 'clients', 'action' => 'client_area', $client['Client']['id']));

        	}
        	
	    }


	    function add() {

	    	$this->autoRender = false;

	    	if ($this->request->is('post')) {

	            $this->Payment->create();

	            if ($this->Payment->save($this->request->data)) {



	                $this->Session->setFlash('Payment Successfully Added');

	                $this->redirect(array('controller' => 'invoices', 'action' => 'edit', $this->request->data['Payment']['invoice_id']));

	            } else {

	                $this->Session->setFlash('Unable To Add Payment - Please Complete All Required Payment Fields');

	                $this->redirect($this->referer());

	            }

	        }

	    }


	    function delete($id) {

	    	$this->autoRender = false;

		    if ($this->request->is('get')) {

		        throw new MethodNotAllowedException('Access Denied Using This Method');

		    }

		    if ($this->Payment->delete($id)) {

		        $this->Session->setFlash('The Payment Has Been Deleted');

		        $this->redirect($this->referer());

		    }
		}



	}

?>