<?php

	class QuoteItemsController extends AppController {

		var $uses = array('QuoteItem', 'Invoice', 'Quote', 'Setting', 'Taxrates', 'Client');

		public $components = array('RequestHandler');


		public function beforeFilter() {

	        // Block Clients From Entire Dashboard & Redirect Them To Their Client Area

	        $role = parent::roleCheck();
        	
        	if ($role === 'client') {

        		$clientName = $this->Auth->user('first_name');

        		$client = $this->Client->find('first', array(
        			'conditions' => array('Client.client_name' => $clientName),
			        'fields' => array('id'),
				    'recursive' => 0
			    ));

        		$this->Session->setFlash('Clients Are Only Authorised To View Their Own Area');

        		$this->redirect(array('controller' => 'clients', 'action' => 'client_area', $client['Client']['id']));

        	} 

	    }


	    function add() {

	    	$this->autoRender = false;

	    	if ($this->request->is('post')) {

	            $this->QuoteItem->create();

	            if ($this->QuoteItem->save($this->request->data)) {

	                $this->redirect(array('controller' => 'quotes', 'action' => 'edit', $this->request->data['QuoteItem']['quote_id']));

	            } else {

	                $this->Session->setFlash('Unable To Add Item - Please Complete All Required Item Fields');

	                $this->redirect($this->referer());

	            }

	        }

	    }


	    function edit($id = NULL) {

	        if (!$id) {

		        throw new NotFoundException(__('Invalid Quote Item'));

		    }

		    $quoteItem = $this->QuoteItem->findById($id);

		    if (!$quoteItem) {

		        throw new NotFoundException(__('Invalid Quote Item'));

		    }

		    $tax_rates = $this->Taxrates->find('list', array(

		    	'fields' => array('Taxrates.rate', 'Taxrates.rate'),
		    	'order' => array('Taxrates.rate' => 'asc')

		    	));

		    $this->set('tax_rates', $tax_rates);

		    if ($this->request->is('post') || $this->request->is('put')) {

		    	$this->set('tax_rates', $tax_rates);

		        $this->QuoteItem->id = $id;

		        $quote_item_id = $this->request->data['QuoteItem']['quote_id'];

		        if ($this->QuoteItem->save($this->request->data)) {

		            $this->Session->setFlash('Your Item Has Been Updated');

		            $this->redirect(array('controller' => 'quotes', 'action' => 'edit', $quote_item_id));

		        } else {

		            $this->Session->setFlash('Unable To Update Your Item');

		        }

		    }

		    if (!$this->request->data) {

		        $this->request->data = $quoteItem;

		    }

	    }


	    function delete($id) {

		    if ($this->request->is('get')) {

		        throw new MethodNotAllowedException('Access Denied Using This Method');

		    }

		    if ($this->QuoteItem->delete($id)) {

		        $this->redirect($this->referer());

		    }
		}



	}

?>