<?php
    class ReportsController extends AppController {

        var $name = 'Reports';
        var $uses = array('Invoice', 'Invoice', 'Quote', 'Client', 'Payment', 'Setting');

        public $components = array('RequestHandler');

        public function beforeFilter() {
	        $this->set('title', 'Reports');

	        // Block Clients From Entire EmailTemplates Area & Redirect Them To Their Client Area
	        // Allow Clients Access To Statement clientStatement()

	        $role = parent::roleCheck();
        	
        	if ($role === 'client') {

        		if ($this->action !== 'clientStatement') {

	        		$clientName = $this->Auth->user('first_name');

	        		$client = $this->Client->find('first', array(
	        			'conditions' => array('Client.client_name' => $clientName),
				        'fields' => array('id'),
					    'recursive' => 0
				    ));

	        		$this->Session->setFlash('Clients Are Only Authorised To View Their Own Area');

	        		$this->redirect(array('controller' => 'clients', 'action' => 'client_area', $client['Client']['id']));

	        	}

        	} 

	    }


        function index () {

        }


	    public function invoices() {

	    	// Set Vars From POST

	    	$data = $this->request->data['Reports'];

	    	// Set Currency

	    	$currency = $this->Setting->find('first', array(
		        'fields' => array('currency'),
			    'recursive' => 0
		    ));

	    	// Set Client

	    	$clients = $this->request->data['Reports']['client_name_list'];

	    	if ($clients == '') {

	    		$clients = $this->Client->find('list', array(
			        'fields' => array('Client.id'),
			        'recursive' => 0
			    ));

			    $clientName = 'All';

	    	} else {

		    	$clientName = $this->Client->find('first', array(
			        'conditions' => array('Client.id' => $clients),
			        'fields' => array('Client.client_name'),
				    'recursive' => 0
			    ));

		    }

	    	// Set Invoice Type

	    	$invoiceType = $this->request->data['Reports']['invoice_status'];

	    	if ($invoiceType == 'All') {

	    		$invoiceType = array('Paid', 'Unpaid', 'Part Paid', 'Overpaid');

	    	}

	    	// Format From Date

	    	$fromYear = $this->request->data['Reports']['invoice_from_date']['year'];

	    	$fromMonth = $this->request->data['Reports']['invoice_from_date']['month'];

	    	$fromDay = $this->request->data['Reports']['invoice_from_date']['day'];

	    	$from = $fromYear . '-' . $fromMonth . '-' . $fromDay;

	    	// Format To Date

	    	$toYear = $this->request->data['Reports']['invoice_to_date']['year'];

	    	$toMonth = $this->request->data['Reports']['invoice_to_date']['month'];

	    	$toDay = $this->request->data['Reports']['invoice_to_date']['day'];

	    	$to = $toYear . '-' . $toMonth . '-' . $toDay;


	    	// Retrieve Data From DB
	        
	        $invoices = $this->Invoice->find('all', array(
	        	'conditions' => array(
	        		'Invoice.client_id =' => $clients,
					'Invoice.status =' => $invoiceType,
					'Invoice.invoice_date >=' => $from,
					'Invoice.invoice_date <=' => $to
				),
		        'fields' => array('Invoice.invoice_number', 'Invoice.invoice_date', 'Invoice.client_name', 'Invoice.status', 'Invoice.invoice_total'),
		        'recursive' => 0,

		    ));

		    // Set Vars For View

		    $this->set('currency', $currency);

		    $this->set('invoices', $invoices);

		    $this->set('clients', $clients);

		    $this->set('clientName', $clientName);

		    $this->set('invoiceType', $invoiceType);

		    $this->set('from', $from);

		    $this->set('to', $to);
        
	    }


	    public function clientContacts() {

	    	$clients = $this->Client->find('all', array(
			        
				    'recursive' => 0
			    ));

	    	$this->set('clients', $clients);

	    }	


	    public function clientStatement() {

	    	// Set Client

	    	$id = $this->request->data['Reports']['client_name_list'];

	    	$printTables = $this->request->data['Reports']['print_table'];

	    	if ($printTables == 'Yes'){

	    		$printTables = true;

	    	} else {

	    		$printTables = false;

	    	}

		    $client = $this->Client->find('first', array(
		        'conditions' => array('Client.id' => $id)
		    ));

		    $currency = $this->Setting->find('first', array(
		        'fields' => array('currency'),
			    'recursive' => 0
		    ));

		    $this->set('currency', $currency);

	    	$this->set('client', $client);

	    	$this->set('id', $id);

	    	$this->set('printTables', $printTables);

	    }	


	    public function payments() {

	    	// Set Vars From POST

	    	$data = $this->request->data;

	    	// Set Client

	    	$clients = $this->request->data['Reports']['client_name_list'];

	    	if ($clients == '') {

	    		$clients = $this->Client->find('list', array(
			        'fields' => array('Client.id'),
			        'recursive' => 0
			    ));

			    $clientName = 'All';

	    	} else {

		    	$clientName = $this->Client->find('first', array(
			        'conditions' => array('Client.id' => $clients),
			        'fields' => array('Client.client_name'),
				    'recursive' => 0
			    ));

		    }


	    	// Format From Date

	    	$fromYear = $this->request->data['Reports']['invoice_from_date']['year'];

	    	$fromMonth = $this->request->data['Reports']['invoice_from_date']['month'];

	    	$fromDay = $this->request->data['Reports']['invoice_from_date']['day'];

	    	$from = $fromYear . '-' . $fromMonth . '-' . $fromDay;

	    	// Format To Date

	    	$toYear = $this->request->data['Reports']['invoice_to_date']['year'];

	    	$toMonth = $this->request->data['Reports']['invoice_to_date']['month'];

	    	$toDay = $this->request->data['Reports']['invoice_to_date']['day'];

	    	$to = $toYear . '-' . $toMonth . '-' . $toDay;


	    	// Retrieve Data From DB
	        
	        $payments = $this->Payment->find('all', array(
	        	'conditions' => array(
	        		'Payment.client_id =' => $clients,
					'Payment.date >=' => $from,
					'Payment.date <=' => $to
				),
				'fields' => array('Payment.id', 'Payment.date', 'Payment.method', 'Payment.amount', 'Client.client_name'),
		        'recursive' => 0,

		    ));

		    $currency = $this->Setting->find('first', array(
		        'fields' => array('currency'),
			    'recursive' => 0
		    ));

		    // Set Vars For View

		    $this->set('currency', $currency);

		    $this->set('payments', $payments);

		    $this->set('clients', $clients);

		    $this->set('clientName', $clientName);

		    $this->set('from', $from);

		    $this->set('to', $to);
        
	    }


    }

?>