<?php

	class SettingsController extends AppController {

	    public $helpers = array('Html', 'Form');

	    public function beforeFilter() {
	        $this->set('title', 'settings');

	        // Block Anyone But Admin From Settings Area

            $role = parent::roleCheck();
            
            if ($role !== 'admin') {

                $this->Session->setFlash('You Are Not Authorised To Access Settings');

                $this->redirect(array('controller' => 'dashboard', 'action' => 'index'));

            }
	    }



	    function edit_config($id = NULL) {

	    	$this->layout = 'settings';

	    	//print_r($this->request->data);

	        if (!$id) {

		        throw new NotFoundException(__('Invalid Settings'));

		    }

		    $setting = $this->Setting->findById($id);

		    if (!$setting) {

		        throw new NotFoundException(__('Invalid Setting'));

		    }

		    if ($this->request->is('post') || $this->request->is('put')) {

		        $this->Setting->id = $id;

		        $this->set('settings', $this->Setting->find('all'));

		        if ($this->Setting->save($this->request->data)) {

		            $this->Session->setFlash('Your Settings Have Been Updated');



		            $this->redirect(array('action' => 'edit_config/1/'));

		        } else {

		            $this->Session->setFlash('Unable to update your settings');

		        }

		    }

		    if (!$this->request->data) {

		        $this->request->data = $setting;

		    }

	    }


	    function edit_theme($id = NULL) {

	    	$this->layout = 'settings';

	        if (!$id) {

		        throw new NotFoundException(__('Invalid Settings'));

		    }

		    $setting = $this->Setting->findById($id);

		    if (!$setting) {

		        throw new NotFoundException(__('Invalid Setting'));

		    }

		    if ($this->request->is('post') || $this->request->is('put')) {

		        $this->Setting->id = $id;

		        $this->set('settings', $this->Setting->find('all'));

		        if ($this->Setting->save($this->request->data)) {

		        	$new_color = $this->request->data['Setting']['primary_color'];


					$template = 'css/dp_template.css';
					$new_css = 'css/dead_pixel.css';

					$current = file_get_contents($template);

					$current = str_replace("PRIMARY_COLOR", $new_color, $current);

					file_put_contents($new_css, $current);


		            $this->Session->setFlash('Your Settings Have Been Updated');

		            $this->redirect(array('action' => 'edit_theme/1/'));

		        } else {

		            $this->Session->setFlash('Unable To Update Your Settings');

		        }

		    }

		    if (!$this->request->data) {

		        $this->request->data = $setting;

		    }

	    }


	}

?>