<?php

App::uses('AuthComponent', 'Controller/Component');

class User extends AppModel {

    public $validate = array(
        'username' => array(
            'between' => array(
                'rule'    => array('between', 1, 50),
                'required' => true,
                'allowEmpty' => false,
                'message' => 'Username must be between 1 and 50 characters long'
            ),
            'unique' => array(
                'rule'    => 'isUnique',
                'message' => 'This username has already been taken'
            )
        ),
        'password' => array(
            'between' => array(
                'rule'    => array('between', 6, 32),
                'required' => true,
                'allowEmpty' => false,
                'message' => 'Password must be between 6 and 32 characters long'
            )
        ),
        'first_name' => array(
            'between' => array(
                'rule'    => array('between', 1, 64),
                'required' => true,
                'allowEmpty' => false,
                'message' => 'Name must be between 1 and 64 characters long'
            )
        ),
        'last_name' => array(
            'between' => array(
                'rule'    => array('between', 1, 64),
                'required' => true,
                'allowEmpty' => false,
                'message' => 'Name must be between 1 and 64 characters long'
            )
        ),
        'email' => array(
            'between' => array(
                'rule'    => array('between', 1, 64),
                'required' => true,
                'allowEmpty' => false,
                'message' => 'Email must be between 1 and 64 characters long'
            )
        ),

    );
    

    public function beforeSave($options = array()) {

        if (isset($this->data['User']['password'])) {

            $this->data['User']['password'] = AuthComponent::password($this->data['User']['password']);

        }

        return true;

    }

}

?>