<h3>Edit Email Templates</h3>

<p>You can edit the email template for Client Invoices below. There are a number of shortcodes available that can be used to automatically generate relevant information in the email. Shortcodes can be used by typing them in manually or clicking on them in the form below.</p>

<?php 

	// print_r($this->request->data);

	$template = $this->request->data['EmailTemplate']['content'];
    
    $scripts = array(
        'tiny_mce/tiny_mce.js',
        'tiny_mce/jquery.tinymce.js'
    );

    echo $this->Html->script($scripts);

?>

<div class="email_form" id="invoice_email_form">

	<?php

		echo $this->Form->create('EmailTemplate');

		echo $this->Form->input('id', array('type' => 'hidden'));
		echo $this->Form->input('content', array('type' => 'hidden'));

		echo $this->Form->end();

	?>

	<h4>Client Invoice Email Template</h4>

	<?php

		$script = 'tinyMCE.init({ 
        mode : "exact",
        elements : "invoiceEmail",
        width : "100%",
        plugins : "autoresize,template",
        theme : "advanced",

        theme_advanced_buttons1 : "bold,italic,underline,|,justifyleft,justifycenter,justifyright,fontselect,fontsizeselect",
        theme_advanced_buttons2 : "bullist,numlist,|,outdent,indent,|,undo,redo,|,link,unlink,anchor,image,|,forecolor,backcolor",     
        theme_advanced_toolbar_location : "top",
        theme_advanced_toolbar_align : "center",
        theme_advanced_statusbar_location : "bottom",

        });';
    
	    echo $this->Html->scriptBlock($script);
	    
	    echo $this->Form->input('invoiceEmail', array('type' => 'textarea', 'label' => '', 'value' => $template));

	?>
	<div class="shortcodes">
		<h5>Shortcodes</h5>
		<p>Your Company:</p>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[COMPANY_NAME]');">[COMPANY_NAME]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[COMPANY_EMAIL]');">[COMPANY_EMAIL]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[COMPANY_ADDRESS_1]');">[COMPANY_ADDRESS_1]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[COMPANY_ADDRESS_2]');">[COMPANY_ADDRESS_2]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[COMPANY_TOWN]');">[COMPANY_TOWN]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[COMPANY_CITY]');">[COMPANY_CITY]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[COMPANY_STATE]');">[COMPANY_STATE]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[COMPANY_ZIP]');">[COMPANY_ZIP]</a>
		<p>The Client:</p>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[CLIENT_NAME]');">[CLIENT_NAME]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[CLIENT_NAME]');">[CLIENT_CONTACT]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[CLIENT_ADDRESS_1]');">[CLIENT_ADDRESS_1]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[CLIENT_ADDRESS_2]');">[CLIENT_ADDRESS_2]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[CLIENT_TOWN]');">[CLIENT_TOWN]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[CLIENT_CITY]');">[CLIENT_CITY]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[CLIENT_STATE]');">[CLIENT_STATE]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[CLIENT_ZIP]');">[CLIENT_ZIP]</a>
		<p>The Invoice:</p>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[INVOICE_NUMBER]');">[INVOICE_NUMBER]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[INVOICE_DATE]');">[INVOICE_DATE]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[INVOICE_TOTAL]');">[INVOICE_TOTAL]</a>
		<p>General:</p>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[USER]');">[USER]</a>
		<a href="javascript:;" onmousedown="$('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[PAYMENT_INFO]');">[PAYMENT_INFO]</a>

	</div>

	<?php

	echo $this->Html->div('button_small', '<span class="icon-floppy"></span>Save Template', array('id' => 'save_invoice_button'));

	echo $this->Html->div('button_small negative', '<span class="icon-refresh"></span>Load Default', array('id' => 'default_invoice_button'));

	?>

</div>



<!-- INFO TILE -->

<?php

	$this->start('info_tile');

	$exit_link = $this->Html->link('Exit Settings',
		    array('controller' => 'dashboard', 'action' => 'index')
		);		

	echo $this->Html->div('div_link info_button_normal', '<span class="icon-cancel"></span>'.$exit_link);

?>
	
<?php $this->end();?>

<!-- // END INFO TILE -->



<!-- SCRIPTS -->

<script type="text/javascript">

	$(document).ready(function() {

		// Save Invoice Button

		$('#save_invoice_button').click(function() {

			//var newContent = $('#invoiceEmail').text();
			//alert(newContent);

			// alert($('#invoiceEmail').tinymce().getContent());

			var content = $('#invoiceEmail').tinymce().getContent();

			//alert(content);

			$('#EmailTemplateContent').val(content);
			$('#EmailTemplateEditClientInvoiceForm').submit();
		});


		// Reset To Default

		$('#default_invoice_button').click(function() {
			//$('#invoiceEmail').val('TEST'),

			// $('#invoiceEmail').tinymce().execCommand('mceInsertContent',false,'[PAYMENT_INFO]');

			var defaultContent = '<p><span style="font-size: small;">Hi [CLIENT_CONTACT],</span></p><p><span style="font-size: small;">Please find&nbsp;Invoice Number: [INVOICE_NUMBER] (Total: [INVOICE_TOTAL]) attached to this email.</span></p><p><span style="font-size: small;">If you have any questions then please contact us at [COMPANY_EMAIL].</span></p><p><span style="font-size: small;">&nbsp;</span></p><p><span style="font-size: small;">Regards,</span></p><p>&nbsp;</p><p><span style="font-size: small;">[USER]</span></p><p><span style="font-size: small;">[COMPANY_NAME]</span></p>';

			$('#invoiceEmail').tinymce().execCommand('mceSetContent',false,defaultContent);

			var content = $('#invoiceEmail').tinymce().getContent();

			

			$('#EmailTemplateContent').val(content);
			//$('#EmailTemplateEditForm').submit();
		});

	});

</script>