<h3>Create A New Invoice: Step 1</h3>

<p>Please complete the basic setup for the new invoice and save using the 'Save Invoice' button. All items, prices and quantities can be added on the next screen.</p>

<?php

	$clients = $this->requestAction('/clients/get_names');

	$client_array = array();

	foreach ($clients as $client) {

		$client_array[$client['Client']['id']] = $client['Client']['client_name'];

	}


	// Get Next Invoice Number

	if (isset($lastInvoice['Invoice']['id'])) {

		$nextNumber = $lastInvoice['Invoice']['id'] + 1;

	} else {

		$nextNumber = 1;

	}

	

	if ($nextNumber < 10) {

		$nextNumber = '000'.$nextNumber;

	} elseif ($nextNumber < 100) {

		$nextNumber = '00'.$nextNumber;

	} elseif ($nextNumber < 1000) {

		$nextNumber = '0'.$nextNumber;

	}


	// Start Form

	echo $this->Form->create('Invoice');

	echo $this->Form->input('client_id', array(
		'type' => 'text', 'label' => '', array('type' => 'hidden')
	));

	echo $this->Form->input('client_name', array(
		'type' => 'text', 'label' => '', array('type' => 'hidden')
	));

	echo $this->Form->input('invoice_total', array(
		'type' => 'number', 'label' => '', 'value' => 0.00, array('type' => 'hidden')
	));

	echo $this->Form->input('status', array(
		'type' => 'text', 'label' => '', 'value' => 'Unpaid', array('type' => 'hidden')
	));
	
	echo $this->Form->input(
		'created', array(
		'type' => 'text',
		'type' => 'hidden',
	));

	echo $this->Form->input(
		'created_by', array(
		'type' => 'text',
		'type' => 'hidden',
	)); 

	echo $this->Form->input(
		'last_modified', array(
		'type' => 'text',
		'type' => 'hidden',
	));

	echo $this->Form->input(
		'last_mod_by', array(
		'type' => 'text',
		'type' => 'hidden',
	)); 


	echo $this->Form->input('client_name_list', array(
	    'options' => $client_array,
	    'empty' => 'Please Select A Client',
	    'label' => ''
	));

	echo $this->Form->input('invoice_number');

	echo $this->Form->input('invoice_date', array(
		'type' => 'date',
	    'dateFormat' => 'DMY',
	    'separator' => '',
	    'minYear' => date('Y') - 5,
    	'maxYear' => date('Y'),
	));

	echo $this->Form->end();

?>


<!-- INFO TILE -->

<?php
	$this->start('info_tile');

	

	echo $this->Html->div('info_button_positive', '<span class="icon-floppy"></span>Save Invoice', array('id' => 'save_invoice_button'));

	$cancel_link = $this->Html->link('Cancel',
	    array('controller' => 'invoices', 'action' => 'index')
	);	

	echo $this->Html->div('div_link info_button_negative', '<span class="icon-cancel"></span>'.$cancel_link);
	$this->end();
?>

<!-- // END INFO TILE -->




<script type="text/javascript">

	function setCreatedTime() {
		var now = new Date();
		now = now.format("yyyy-mm-dd HH:MM:ss");

		$('#InvoiceCreated, #InvoiceLastModified').val(now);

		var user = "<?= AuthComponent::user('first_name') ?>";
		user = user + " " + "<?= AuthComponent::user('last_name') ?>";

		$('#InvoiceCreatedBy, #InvoiceLastModBy').val(user);
	}

	function setInvoiceNumber() {

		var year = $('#InvoiceInvoiceDateYear').val().substring(2,4);
		var month = $('#InvoiceInvoiceDateMonth').val();
		var day = $('#InvoiceInvoiceDateDay').val();

		var newNumber = year + month + day +  "<?= $nextNumber; ?>";

		$('#InvoiceInvoiceNumber').val(newNumber);

	}

	$(document).ready(function() {

		$('select').wrap('<div class="styled_select" />');

		$('#InvoiceClientNameList').change(function() {

		  	var id = $('#InvoiceClientNameList').val();

			$('#InvoiceClientId').val(id);

			var name = $('#InvoiceClientNameList option:selected').text();

			$('#InvoiceClientName').val(name);

		});


		// SET INVOICE NUMBER
		$('#InvoiceInvoiceDateMonth, #InvoiceInvoiceDateDay, #InvoiceInvoiceDateYear').change(function() {

		  	setInvoiceNumber();

		});

		setInvoiceNumber();


		// SAVE INVOICE BUTTON
		$('#save_invoice_button').click(function() {

			setCreatedTime();

			$('#InvoiceAddForm').submit();

		});

	});

</script>












