<?php echo $this->Html->css('invoicesEdit'); ?>

<h3>Edit Invoice: <?php echo $this->request->data['Invoice']['invoice_number']?></h3>

<?php

	$currency = $currency['Setting']['currency'];

	$subTotal = 0;
	$tax = 0;
	$total = 0;

	$paymentsTotal = 0;

?>

<?php echo $this->Form->create('Invoice');

echo $this->Form->input(
	'last_modified', array(
	'type' => 'text',
	'type' => 'hidden',
)); 

echo $this->Form->input(
	'last_mod_by', array(
	'type' => 'text',
	'type' => 'hidden',
)); 

?>



<div class="container">

	<div class="two columns">

		<!-- INVOICE DETAILS -->
		
		<table>

			<tr><th>Invoice Details</th></tr>

			<tr><td><?php echo $this->Form->input('invoice_number'); ?></td></tr>

 			<tr><td><?php echo $this->Form->input('invoice_date', array(
					'type' => 'date',
				    'dateFormat' => 'DMY',
				    'separator' => '',
				    'minYear' => date('Y') - 5,
			    	'maxYear' => date('Y') + 5,
				)); ?>
			</td></tr>

			<tr><td><span class="bold">Total: </span><?php echo $currency.number_format($this->request->data['Invoice']['invoice_total'], 2, '.', ',');?>
				<?php echo $this->Form->input('invoice_total', array(
					'type' => 'hidden')); ?>
			</td></tr>

 			<tr><td><span class="bold">Status: </span><span class="status"><?php echo $this->request->data['Invoice']['status']?></span><?php echo $this->Form->input('status', array('type' => 'hidden')); ?></td></tr>

			<tr><td><?php echo $this->Form->input('public_notes'); ?></td></tr>
			<tr><td><?php echo $this->Form->input('private_notes'); ?></td></tr>

		</table>

		<!-- // END INVOICE DETAILS -->

	</div>

	<div class="two columns">

		<!-- INVOICE TO -->

		<table>

			<tr><th>Invoice To</th></tr>

			<tr><td><span class="bold"><?php echo $this->request->data['Invoice']['client_name']. '</span><br />'?>



 			<?php 

				if ( $address1 = $this->request->data['Client']['client_address_line_1'] ) {
					echo $address1 . "<br />";
				}

				if ( $address2 = $this->request->data['Client']['client_address_line_2'] ) {
					echo $address2 . "<br />";
				}

				if ( $town = $this->request->data['Client']['client_town'] ) {
					echo $town . "<br />";
				}

				if ( $city = $this->request->data['Client']['client_city'] ) {
					echo $city . "<br />";
				}

				if ( $state = $this->request->data['Client']['client_state'] ) {
					echo $state . "<br />";
				}

				if ( $zip = $this->request->data['Client']['client_zip'] ) {
					echo $zip . "<br /><br />";
				}

				if ( $phone = $this->request->data['Client']['client_phone'] ) {
					echo '<span class="bold">Phone: </span>'. $phone . '<br />';
				}

				if ( $email = $this->request->data['Client']['client_email'] ) {
					echo '<span class="bold">Email: </span>'. $email . '<br />';
				}

			?>

			</td></tr>

		</table>

		

		<!-- // END INVOICE TO -->

	</div>

</div>


<?php echo $this->Form->end();?>


<!-- ITEMS -->

<?php $items = $this->request->data['Item']; ?>

<table class="responsive_table" id="items_table">

	<thead>
	
		<tr>
			<th>Items</th>
			<th class="right tiny_cell">QTY</th>
			<th class="right small_cell">Price</th>
			<th class="right small_cell">Sub Tot</th>
			<th class="right small_cell">Tax</th>
			<th class="right small_cell">Total</th>
			<th class="center small_cell">Actions</th>
		</tr>

	</thead>

	

		<?php

			if ( $items == NULL ) {
				echo '<tr><td> -- No Items Are Associated With This Invoice -- </td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td></tr>';
			}

		?>


		<?php $itemCount = 0; ?>

		<? foreach ($items as $item): ?>

			<?php $itemCount++; ?>

			<tr id="item_row_<?= $item['id'] ?>">

				<td><span class="bold">Item <?php echo $itemCount;?>: </span><?php echo $item['title']?></td>

				<td class="right responsive_cell"><?php echo $item['quantity'] ?></td>

				<td class="right responsive_cell"><?php echo number_format($item['unit_price'], 2, '.', ',')?></td>
				
				<td class="right responsive_cell">
					<?php 
						$itemSubTotal = $item['quantity'] * $item['unit_price'];
						$subTotal += $itemSubTotal;
						echo number_format($itemSubTotal, 2, '.', ',');
					?>
				</td>

				<td class="right responsive_cell">
					<?php 
						$itemTax = $itemSubTotal * ($item['tax_rate'] / 100);
						$tax += $itemTax;
						echo number_format($itemTax, 2, '.', ',');
					?>
				</td>

				<td class="right responsive_cell">
					<?php 
						$itemTotal = $itemSubTotal + $itemTax;
						$total += $itemTotal;
						echo number_format($itemTotal, 2, '.', ',');
					?>
				</td>

				<?php echo '<td class="center responsive_cell">' ?>
	        
	                <?php echo 

	                	$this->Html->link('View/Edit', array('controller'=>'items', 'action'=>'edit', $item['id']), array('class' => 'view', 'id' => 'item_'.$item['id'])); 

	                ?>

	                <?php echo 

	                	$this->Html->link('Delete', array('controller'=>'items', 'action'=>'delete', $item['id']), array('class' => 'item_delete', 'id' => 'item_'.$item['id'])); 

	                ?>

				<?php echo'</td>' ?>

			</tr>

			<tr><td colspan="7"><span class="bold">Item <?php echo $itemCount;?> Details:<br></span><?php echo $item['details']?></td></tr>
			
		<? endforeach; ?>

</table>


<table class="responsive_table" id="item_total_table">

	<thead>
		<tr><td colspan="7"></td></tr>
	</thead>

	<tr class="bold total_row">
		<td colspan="3" >Item Totals (<?php echo $currency; ?>)</td>
		<td class="right small_cell"><?php echo (number_format($subTotal, 2, '.', ',')); ?></td>
		<td class="right small_cell"><?php echo (number_format($tax, 2, '.', ',')) ?></td>
		<td id="invoiceTotal" class="right small_cell"><?php echo (number_format($total, 2, '.', ',')) ?></td>
		<td class="small_cell"></td>
	</tr>

</table>


<div id="add_item_form">

	<h4>Add Item</h4>

	<?php

		echo $this->Form->create('Item', array('action' => 'add'));

		echo $this->Form->input('invoice_id', array('type' => 'hidden', 'value' => $this->request->data['Invoice']['id']));
		echo $this->Form->input('title');
		echo $this->Form->input('details');
		echo $this->Form->input('quantity', array( 
			'label' => 'Quantity (e.g. 5)' 
			));
		echo $this->Form->input('unit_price', array( 
			'type' => 'number', 
			'label' => 'Unit Price (e.g. 49.99)' 
			));

		echo $this->Form->input('tax_rate', array('options' => $tax_rates, 'label' => 'Tax Rate (%)'));

		echo $this->Form->end();
	?>

	<?php $save_item_link = $this->Html->link('Save Item', array('controller'=>'Items', 'action'=>'add'),
                								array('class' => 'item_add', 'id' => 'item_add_button'));

	echo $this->Html->div('button_small', '<span class="icon-plus"></span>Save Item', array('id' => 'save_item_button'));

	echo $this->Html->div('button_small negative', '<span class="icon-x"></span>Cancel', array('id' => 'cancel_item_button'));

	?>

</div>

<?php echo $this->Html->div('button_small', '<span class="icon-plus"></span>Add Item', array('id' => 'add_item_button'));?>

<!-- // END ITEMS -->


<!-- PAYMENTS -->

<?php $payments = $this->request->data['Payment']; ?>

<table class="responsive_table" id="payments_table">

	<thead>
	
		<tr>
			<th>Payments Received</th>
			<th class="center small_cell">Date</th>
			<th class="right small_cell">Amount</th>
			<th class="center small_cell">Actions</th>
		</tr>

	</thead>


		<?php

			if ( $payments == NULL ) {
				echo '<tr><td> -- No Payments Are Associated With This Invoice -- </td>
				<td></td>
				<td></td>
				<td></td></tr>';
			}

		?>

		<? foreach ($payments as $payment): ?>

			<tr id="payment_row_<?= $payment['id'] ?>">
				<td class="responsive_cell"><?php echo $payment['method']?></td>
				<td class="date_cell responsive_cell"><?php echo $payment['date']?></td>
				<td class="right responsive_cell"><?php echo number_format($payment['amount'], 2, '.', ',')?></td>
				<?php echo '<td class="center responsive_cell">' ?>

				
	        
	                <?php echo 

	                	$this->Html->link('Delete', array('controller'=>'Payments', 'action'=>'delete', $payment['id']), array('class' => 'payment_delete', 'id' => 'payment_'.$payment['id'])); 
	                ?>

				<?php echo'</td>' ?>
			</tr>

			<?php $paymentsTotal += $payment['amount'] ?>
			
		<? endforeach; ?>

</table>


<table class="responsive_table" id="payments_total_table">

	<thead>
		<tr><td colspan="4"></td></tr>
	</thead>

	<tr class="bold total_row">
		<td colspan="2">Payments Totals (<?php echo $currency; ?>)</td>
		<td id="paymentsTotal" class="right"><?php echo (number_format($paymentsTotal, 2, '.', ',')) ?></td>
		<td class="small_cell"></td>
	</tr>

</table>


<div id="add_payment_form">

	<h4>Add Payment</h4>

	<?php

		echo $this->Form->create('Payment', array('action' => 'add'));

		echo $this->Form->input('invoice_id', array('type' => 'hidden', 'value' => $this->request->data['Invoice']['id']));
		echo $this->Form->input('client_id', array('type' => 'hidden', 'value' => $this->request->data['Invoice']['client_id']));
		echo $this->Form->input('date', array(
					'type' => 'date',
				    'dateFormat' => 'DMY',
				    'separator' => '',
				    'minYear' => date('Y') - 5,
			    	'maxYear' => date('Y') + 5,
				));
		echo $this->Form->input('method', array( 
			'label' => 'Method (e.g. PayPal, Cheque)' 
			));
		echo $this->Form->input('amount', array( 
			'type' => 'number', 
			'label' => 'Payment Amount (e.g. 49.99)' 
			));

		echo $this->Form->end();
	?>

	<?php $save_payment_link = $this->Html->link('Save Payment', array('controller'=>'Payments', 'action'=>'add'),
                								array('class' => 'payment_add', 'id' => 'payment_add_button'));

	echo $this->Html->div('button_small', '<span class="icon-plus"></span>Save Payment', array('id' => 'save_payment_button'));

	echo $this->Html->div('button_small negative', '<span class="icon-x"></span>Cancel', array('id' => 'cancel_payment_button'));

	?>

</div>

<?php echo $this->Html->div('button_small', '<span class="icon-plus"></span>Add Payment', array('id' => 'add_payment_button'));?>

<!-- // END PAYMENTS -->


<!-- INFO TILE -->

<?php
	$this->start('info_tile');

	echo $this->Html->div('div_link info_button_normal', '<span class="icon-arrow-left "></span><a href="javascript:history.back()">Back</a>');

	echo $this->Html->div('info_button_positive', '<span class="icon-floppy"></span>Save Invoice', array('id' => 'save_invoice_button'));

	$cancel_link = $this->Html->link('Cancel',
		    array('controller' => 'invoices', 'action' => 'view', $this->request->data['Invoice']['id'])
		);		

	echo $this->Html->div('div_link info_button_negative', '<span class="icon-cancel"></span>'.$cancel_link);
?>
	
<?php $this->end();?>

<!-- // END INFO TILE -->



<script type="text/javascript">

	function setModTime() {
		var now = new Date();
		now = now.format("yyyy-mm-dd HH:MM:ss");

		$('#InvoiceLastModified').val(now);

		var user = "<?= AuthComponent::user('first_name') ?>";
		user = user + " " + "<?= AuthComponent::user('last_name') ?>";

		$('#InvoiceLastModBy').val(user);
	}

	$(document).ready(function() {

		// Style Dropdowns
		$('select').wrap('<div class="styled_select" />');

		// Delete Item
		$('a.item_delete').click(function(e){

		    e.preventDefault();

		    var item_id = $(this).attr('id');
            item_id = item_id.slice(5);
		        
			var result = confirm('Are you sure you want to permanently delete this item?');
			
			if(result) {
				$.ajax({
					type:"POST",
					url:$(this).attr('href'),
					data:"ajax=1",
					dataType: "json",
					success:function(response){
					}
				});
				setInterval("location.reload()", 500);

			}
		return false;
		                
		}); 


		// Hide Additional Forms By Default
		$('#add_item_form, #add_payment_form').hide();


		// ADD ITEM FORM

		// Show/Hide Add Item Form
		$('#add_item_button').click(function(e){
			$('#add_item_form').slideDown();
			$('#add_item_button').hide();
		});

		// Cancel Add Item
		$('#cancel_item_button').click(function(e){
			$('#add_item_form').slideUp();
			$('#add_item_button').show();
		});

		// Save Item
		$('#save_item_button').click(function() {
			$('#ItemAddForm').submit();
		});


		// Delete Payment
		$('a.payment_delete').click(function(e){

		    e.preventDefault();

		    var payment_id = $(this).attr('id');
            payment_id = payment_id.slice(5);
		        
			var result = confirm('Are you sure you want to permanently delete this payment?');
			
			if(result) {
				$.ajax({
					type:"POST",
					url:$(this).attr('href'),
					data:"ajax=1",
					dataType: "json",
					success:function(response){
					}
				});
				setInterval("location.reload()", 500);
			}
		return false;
		                
		}); 


		// ADD PAYMENT FORM

		// Show/Hide Add Item Form
		$('#add_payment_button').click(function(e){
			$('#add_payment_form').slideDown();
			$('#add_payment_button').hide();
		});

		// Cancel Add Item
		$('#cancel_payment_button').click(function(e){
			$('#add_payment_form').slideUp();
			$('#add_payment_button').show();
		});

		// Save Item
		$('#save_payment_button').click(function() {
			$('#PaymentAddForm').submit();
		});


		// SAVE INVOICE BUTTON
		$('#save_invoice_button').click(function() {

			setModTime();

			$('#InvoiceEditForm').submit();

		});


		// CALCULATIONS

		var invoiceTotal = "<?= number_format($total, 2, '.', '') ?>";
		var paymentsTotal = "<?= $paymentsTotal ?>";

		var balance = Math.round((invoiceTotal - paymentsTotal)*100)/100;

		
		function updateInvoice(){

			// UPDATE INVOICE IF CHANGED

			var currentTotal = $('#InvoiceInvoiceTotal').val();

			// alert(currentTotal);

			// alert(invoiceTotal);


			if (currentTotal != invoiceTotal) {

				$('#InvoiceInvoiceTotal').val(invoiceTotal);

				setModTime();

				$('#InvoiceEditForm').submit();

			}

			var currentStatus = $('#InvoiceStatus').val();

			var statusChange = false;


			if (invoiceTotal > 0) {

				if ((balance == 0) && (currentStatus != 'Paid')){

					$('#InvoiceStatus').val('Paid');

					statusChange = true;
				
				} else if ((paymentsTotal == 0) && (currentStatus != 'Unpaid')){

					$('#InvoiceStatus').val('Unpaid');
					
					statusChange = true;

				} else if ((balance > 0) && (paymentsTotal > 0) && (currentStatus != 'Part Paid')){

					$('#InvoiceStatus').val('Part Paid');
					
					statusChange = true;
				}

				if ((balance < 0) && (currentStatus != 'Overpaid')){

					$('#InvoiceStatus').val('Overpaid');
					
					statusChange = true;
				}

				if (statusChange == true) {

					statusChange = false;

					setModTime();

					$('#InvoiceEditForm').submit();

				}

			}

		}

		updateInvoice();

	});

</script>


