<?php echo $this->Html->css('invoicesIndex'); ?>

<h3>View All Invoices</h3>

<?php

	$currency = $currency['Setting']['currency'];

?>

<table class="responsive_table" id="invoices_table">

	<thead>
	
		<tr>
			<th>Invoice #</th>
			<th>Invoice Date</th>
			<th>Client</th>
			<th class="center">Total</th>
			<th class="center">Status</th>
			<th class="center no_sort">View/Edit</th>
		</tr>

	</thead>

	<?php foreach($invoices as $invoice) : ?>

		<tr>
			<td><?php echo $invoice['Invoice']['invoice_number']?></td>
			<td ><?php echo $invoice['Invoice']['invoice_date']?></td>
			<td><?php echo $invoice['Invoice']['client_name']?></td>
			<td class="right"><?php echo $currency. number_format($invoice['Invoice']['invoice_total'], 2, '.', ',')?></td>
			<td class="status"><?php echo $invoice['Invoice']['status']?></td>
			<td class="center small_cell">
				<?php echo $this->Html->link('View/Edit', array('action' => 'view', $invoice['Invoice']['id']), array('class' => 'view')); ?>
			</td>


		</tr>

	<?php endforeach; ?>
	
</table>


<!-- INFO TILE -->

		<?php
			$this->start('info_tile');

			$add_link = $this->Html->link('Add Invoice',
			    array('controller' => 'invoices', 'action' => 'add')
			);

			echo $this->Html->div('div_link info_button_primary', '<span class="icon-plus-2"></span>'.$add_link);


			$this->end();
		?>

<!-- // END INFO TILE -->



<!-- SCRIPTS -->

<?php echo $this->Html->script('jquery.dataTables');?>

<script type="text/javascript">

	if ( $('#invoices_table')[0] ) { 

		$('#invoices_table').dataTable( {
		"aaSorting": [[ 1, "desc" ]],
        "sDom": '<"top"f>irt<"bottom"lp><"clear">',
        "oLanguage": {
         "sSearch": "Search (Auto Filter):"},
         "fnDrawCallback": function( oSettings ) { updateClasses(); }
    	} 

    ); }

</script>