<?php echo $this->Html->css('invoicesView'); ?>

<h3>View Invoice: <?php echo $thisInvoice['Invoice']['invoice_number']?></h3>

<?php

	$userRole = AuthComponent::user('role');

	$currency = $settings['Setting']['currency'];

	$id = $thisInvoice['Invoice']['id'];
	$invoice_number = $thisInvoice['Invoice']['invoice_number'];

	$subTotal = 0;
	$tax = 0;
	$total = 0;

	$paymentsTotal = 0;
?>

<div class="container">

	<div class="two columns">

		<!-- INVOICE DETAILS -->
		
		<table>

			<tr><th>Invoice Details</th></tr>

			<tr><td><span class="bold">Invoice Number: </span><?php echo $thisInvoice['Invoice']['invoice_number']?></td></tr>

 			<tr><td><span class="bold">Date of Invoice: </span><?php echo $thisInvoice['Invoice']['invoice_date']?></td></tr>

 			<tr><td><span class="bold">Total: </span><?php echo $currency.number_format($thisInvoice['Invoice']['invoice_total'], 2, '.', ',')?></td></tr>

 			<tr><td><span class="bold">Payments Received:  </span><?php echo $currency; ?><span id="payments_received"></span></td></tr>

			<tr><td><span class="bold">Status: </span><span class="status"><?php echo $thisInvoice['Invoice']['status']?></span></td></tr>

			<tr><td><span class="bold">Created: </span><?php echo $thisInvoice['Invoice']['created']?> by <?php echo $thisInvoice['Invoice']['created_by']?></td></tr>

			<tr><td><span class="bold">Last Modified: </span><?php echo $thisInvoice['Invoice']['last_modified']?> by <?php echo $thisInvoice['Invoice']['last_mod_by']?></td></tr>

			<!-- Public Notes - Available To Everyone -->

			<tr><td><span class="bold">Public Notes: </span><?php echo $thisInvoice['Invoice']['public_notes']?></td></tr>

			<!-- Private Notes - Hide From Client -->

			<? if ($userRole !== 'client'): ?>

				<tr><td><span class="bold">Private Notes: </span><?php echo $thisInvoice['Invoice']['private_notes']?></td></tr>

			<? endif; ?>

		</table>

		<!-- // END INVOICE DETAILS -->

	</div>

	<div class="two columns">

		<!-- INVOICE TO -->

		<table>

			<tr><th>Invoice To</th></tr>

			<tr><td><span class="bold"><?php echo $thisInvoice['Invoice']['client_name']. '</span><br />'?>



 			<?php 

				$client = $thisInvoice['Client'];

				if ( $address1 = $thisInvoice['Client']['client_address_line_1'] ) {
					echo $address1 . "<br />";
				}

				if ( $address2 = $thisInvoice['Client']['client_address_line_2'] ) {
					echo $address2 . "<br />";
				}

				if ( $town = $thisInvoice['Client']['client_town'] ) {
					echo $town . "<br />";
				}

				if ( $city = $thisInvoice['Client']['client_city'] ) {
					echo $city . "<br />";
				}

				if ( $state = $thisInvoice['Client']['client_state'] ) {
					echo $state . "<br />";
				}

				if ( $zip = $thisInvoice['Client']['client_zip'] ) {
					echo $zip . "<br /><br />";
				}

				if ( $phone = $thisInvoice['Client']['client_phone'] ) {
					echo '<span class="bold">Phone: </span>'. $phone . '<br />';
				}

				if ( $email = $thisInvoice['Client']['client_email'] ) {
					echo '<span class="bold">Email: </span>'. $email . '<br />';
				}

			?>

			</td></tr>

		</table>

		<!-- // END INVOICE TO -->

	</div>

</div>

<h5>Items</h5>


<!-- ITEMS -->

<table class="responsive_table" id="items_table">

	<thead>
	
		<tr>
			<th>Items</th>
			<th class="right tiny_cell">QTY</th>
			<th class="right small_cell">Price</th>
			<th class="right small_cell">Sub Tot</th>
			<th class="right small_cell">Tax</th>
			<th class="right small_cell">Total</th>
		</tr>

	</thead>

	<?php $items = $thisInvoice['Item']; ?>

		<?php

			if ( $items == NULL ) {
				echo '<tr><td> -- No Items Are Associated With This Invoice -- </td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td></tr>';
			}

		?>


		<?php $itemCount = 0; ?>

		<? foreach ($items as $item): ?>

			<?php $itemCount++; ?>

			<tr id="item_row_<?= $item['id'] ?>">

				<td><span class="bold">Item <?php echo $itemCount;?>: </span><?php echo $item['title']?></td>

				<td class="right responsive_cell"><?php echo $item['quantity'] ?></td>

				<td class="right responsive_cell"><?php echo number_format($item['unit_price'], 2, '.', ',')?></td>
				
				<td class="right responsive_cell">
					<?php 
						$itemSubTotal = $item['quantity'] * $item['unit_price'];
						$subTotal += $itemSubTotal;
						echo number_format($itemSubTotal, 2, '.', ',');
					?>
				</td>

				<td class="right responsive_cell">
					<?php 
						$itemTax = $itemSubTotal * ($item['tax_rate'] / 100);
						$tax += $itemTax;
						echo number_format($itemTax, 2, '.', ',');
					?>
				</td>

				<td class="right responsive_cell">
					<?php 
						$itemTotal = $itemSubTotal + $itemTax;
						$total += $itemTotal;
						echo number_format($itemTotal, 2, '.', ',');
					?>
				</td>

			</tr>

			<tr><td colspan="6"><span class="bold">Item <?php echo $itemCount;?> Details:<br></span><?php echo $item['details']?></td></tr>
			
		<? endforeach; ?>

</table>


<table class="responsive_table" id="item_total_table">

	<thead>
		<tr><td colspan="6"></td></tr>
	</thead>

	<tr class="bold total_row">
		<td colspan="3" >Item Totals (<?php echo $currency; ?>)</td>
		<td class="right small_cell"><?php echo (number_format($subTotal, 2, '.', ',')); ?></td>
		<td class="right small_cell"><?php echo (number_format($tax, 2, '.', ',')) ?></td>
		<td id="invoiceTotal" class="right small_cell"><?php echo (number_format($total, 2, '.', ',')) ?></td>
	</tr>

</table>

<!-- // END ITEMS -->


<!-- PAYMENTS -->

<h5>Payments Received</h5>

<table class="responsive_table" id="payments_table">

	<thead>
	
		<tr>
			<th>Payments Received</th>
			<th class="center small_cell">Date</th>
			<th class="right small_cell">Amount</th>
		</tr>

	</thead>

	<?php $payments = $thisInvoice['Payment']; ?>

		<?php

			if ( $payments == NULL ) {
				echo '<tr><td> -- No Payments Are Associated With This Invoice -- </td>
				<td></td>
				<td></td></tr>';
			}

		?>

		<? foreach ($payments as $payment): ?>

			<tr id="payment_row_<?= $payment['id'] ?>">
				<td class="responsive_cell"><?php echo $payment['method']?></td>
				<td class="date_cell responsive_cell"><?php echo $payment['date']?></td>
				<td class="right responsive_cell"><?php echo number_format($payment['amount'], 2, '.', ',')?></td>
			</tr>

			<?php $paymentsTotal += $payment['amount'] ?>
			
		<? endforeach; ?>

</table>


<table class="responsive_table" id="payments_total_table">

	<thead>
		<tr><td colspan="3"></td></tr>
	</thead>

	<tr class="bold total_row">
		<td colspan="2">Payments Totals (<?php echo $currency; ?>)</td>
		<td id="paymentsTotal" class="right"><?php echo (number_format($paymentsTotal, 2, '.', ',')) ?></td>
	</tr>

</table>

<!-- // END PAYMENTS -->


<?php 
	echo $this->Form->create('Invoice', array('action' => 'delete'));
	echo $this->Form->input('id'); 
	echo $this->Form->end();
?>


<!-- INFO TILE -->

<?php
	$this->start('info_tile');

	

	echo $this->Html->div('div_link info_button_normal', '<span class="icon-arrow-left "></span><a href="javascript:history.back()">Back</a>');

	// Hide Edit Button From Clients

	if ($userRole !== 'client') {
	
		$edit_link = '../edit/'. $thisInvoice['Invoice']['id'];

		echo $this->Html->div('div_link info_button_primary', '<span class="icon-pencil-3"></span><a href="'.$edit_link.'">Edit Invoice</a>');

	}

	$pdf_link = $this->Html->link('View as PDF', array('action'=>'view', 'ext'=>'pdf', $id, 'Invoice_'.$invoice_number));

	echo $this->Html->div('div_link info_button_primary', '<span class="icon-search"></span>'.$pdf_link);

	// Hide Email & Delete Buttons From Clients

	if ($userRole !== 'client') {

		$email_link = '../email/'. $thisInvoice['Invoice']['id'];

		echo $this->Html->div('div_link info_button_primary', '<span class="icon-attachment"></span><a href="'.$email_link.'">Email To Client</a>');

		echo $this->Html->div('info_button_negative', '<span class="icon-remove"></span><a href="">Delete Invoice</a>', array('id' => 'delete_button'));

	}
?>


<!-- MODALS -->

<div id="modal_inv_delete" class="modal">

	<div id="heading">Are you sure you want to do that?</div>

	<div id="content">

		<p>Are you sure you want to delete this invoice and all associated data?<br>This action cannot be reversed...</p>

		<?php echo $this->Form->postLink('YES, DO IT',
            array('action' => 'delete', $thisInvoice['Invoice']['id']),
            array('class' => 'confirm_button_confirm'));?>

		<a href="#" class="confirm_button_cancel close">NO, CANCEL</a>

	</div>

</div>

<!-- // END MODALS -->

	
<?php $this->end();?>

<!-- // END INFO TILE -->



<script type="text/javascript">

	$(document).ready(function() {


		// Delete Modal

		$('#delete_button').click(function(e) { 

		   	$('#modal_inv_delete').reveal({ 
			  	animation: 'fade',                   
				animationspeed: 400,                      
				closeonbackgroundclick: true,              
				dismissmodalclass: 'close'
			});

			$("html, body").animate({ scrollTop: 0 }, 600);

		return false;

		});


		var paymentsTotal = "<?= number_format($paymentsTotal, 2, '.', '') ?>";

		$('#payments_received').html(paymentsTotal)



	});

</script>


