<h3>Create A New Quote: Step 1</h3>

<p>Please complete the basic setup for the new quote and save using the 'Save Quote' button. All items, prices and quantities can be added on the next screen.</p>

<?php

	$clients = $this->requestAction('/clients/get_names');

	$client_array = array();


	foreach ($clients as $client) {

		$client_array[$client['Client']['id']] = $client['Client']['client_name'];

	}

	// Get Next Quote Number

	if (isset($lastQuote['Quote']['id'])) {

		$nextNumber = $lastQuote['Quote']['id'] + 1;

	} else {

		$nextNumber = 1;

	}


	

	if ($nextNumber < 10) {

		$nextNumber = '000'.$nextNumber;

	} elseif ($nextNumber < 100) {

		$nextNumber = '00'.$nextNumber;

	} elseif ($nextNumber < 1000) {

		$nextNumber = '0'.$nextNumber;

	}


	// Star Form
	
	echo $this->Form->create('Quote');

	echo $this->Form->input('client_id', array(
		'type' => 'text', 'label' => '', array('type' => 'hidden')
	));

	echo $this->Form->input('client_name', array(
		'type' => 'text', 'label' => '', array('type' => 'hidden')
	));

	echo $this->Form->input('quote_total', array(
		'type' => 'number', 'label' => '', 'value' => 0.00, array('type' => 'hidden')
	));

	echo $this->Form->input('expires', array(
		'type' => 'text', 'label' => '', 'value' => 30, array('type' => 'hidden')
	));

	echo $this->Form->input('status', array(
		'type' => 'text', 'label' => '', 'value' => 'Pending', array('type' => 'hidden')
	));
	
	echo $this->Form->input(
		'created', array(
		'type' => 'text',
		'type' => 'hidden',
	));

	echo $this->Form->input(
		'created_by', array(
		'type' => 'text',
		'type' => 'hidden',
	)); 

	echo $this->Form->input(
		'modified', array(
		'type' => 'text',
		'type' => 'hidden',
	));

	echo $this->Form->input(
		'last_mod_by', array(
		'type' => 'text',
		'type' => 'hidden',
	)); 


	echo $this->Form->input('client_name_list', array(
	    'options' => $client_array,
	    'empty' => 'Please Select A Client',
	    'label' => ''
	));

	echo $this->Form->input('quote_number');

	echo $this->Form->input('expire_days', array(
		'type' => 'number', 'label' => 'Days To Expire', 'value' => 30
	));

	echo $this->Form->input('quote_date', array(
		'type' => 'date',
	    'dateFormat' => 'DMY',
	    'separator' => '',
	    'minYear' => date('Y') - 1,
    	'maxYear' => date('Y'),
	));

	echo $this->Form->end();


?>

<!-- INFO TILE -->

<?php
	$this->start('info_tile');

	echo $this->Html->div('info_button_positive', '<span class="icon-floppy"></span>Save Quote', array('id' => 'save_quote_button'));

	$cancel_link = $this->Html->link('Cancel',
	    array('controller' => 'quotes', 'action' => 'index')
	);	

	echo $this->Html->div('div_link info_button_negative', '<span class="icon-cancel"></span>'.$cancel_link);
	$this->end();
?>

<!-- // END INFO TILE -->




<script type="text/javascript">

	function setCreatedTime() {
		var now = new Date();
		now = now.format("yyyy-mm-dd HH:MM:ss");

		$('#QuoteCreated, #QuoteModified').val(now);

		var user = "<?= AuthComponent::user('first_name') ?>";
		user = user + " " + "<?= AuthComponent::user('last_name') ?>";

		$('#QuoteCreatedBy, #QuoteLastModBy').val(user);
	}


	function setExpirey() {

		var quoteYear = $('#QuoteQuoteDateYear').val();

		var quoteMonth = $('#QuoteQuoteDateMonth').val();

		var quoteDay = $('#QuoteQuoteDateDay').val();

		var quoteDate = quoteYear + '-' + quoteMonth + '-' + quoteDay;

		//alert('Quote Date: ' + quoteDate);

		var expireyDays = parseInt($('#QuoteExpireDays').val());

		var expireyDate = new Date(quoteDate);

		expireyDate.setDate(expireyDate.getDate() + expireyDays);

		var expireyYear = expireyDate.getFullYear();

		var expireyMonth = expireyDate.getMonth() + 1;

		if (expireyMonth < 10) {
			expireyMonth = '0' + expireyMonth;
		}

		var expireyDay = expireyDate.getDate();

		if (expireyDay < 10) {
			expireyDay = '0' + expireyDay;
		}

		expireyDate = expireyYear + '-' + expireyMonth + '-' + expireyDay;

		$('#QuoteExpires').val(expireyDate);

	}


	function setQuoteNumber() {

		var year = $('#QuoteQuoteDateYear').val().substring(2,4);
		var month = $('#QuoteQuoteDateMonth').val();
		var day = $('#QuoteQuoteDateDay').val();

		var newNumber = year + month + day +  "<?= $nextNumber; ?>";

		$('#QuoteQuoteNumber').val(newNumber);

	}


	$(document).ready(function() {

		$('select').wrap('<div class="styled_select" />');

		$('#QuoteClientNameList').change(function() {

		  	var id = $('#QuoteClientNameList').val();

			$('#QuoteClientId').val(id);

			var name = $('#QuoteClientNameList option:selected').text();

			$('#QuoteClientName').val(name);

		});


		// SET EXPIREY & QUOTE NUMBER

		$('#QuoteExpireDays, #QuoteQuoteDateMonth, #QuoteQuoteDateDay, #QuoteQuoteDateYear').change(function() {

			var days = $('#QuoteExpireDays').val();

			if ($.isNumeric(days) && (days > 0)) {

				setExpirey();

			}	else {

				$('#QuoteExpireDays').val(30)

				setExpirey();

			}

			setQuoteNumber();

		});

		setExpirey();

		setQuoteNumber();


		// SAVE INVOICE BUTTON

		$('#save_quote_button').click(function() {

			setCreatedTime();

			$('#QuoteAddForm').submit();

		});


	});

</script>












