<?php echo $this->Html->css('quotesEdit'); ?>

<h3>Edit Quote: <?php echo $this->request->data['Quote']['quote_number']?></h3>

<?php

	$currency = $currency['Setting']['currency'];

	$subTotal = 0;
	$tax = 0;
	$total = 0;
?>

<?php echo $this->Form->create('Quote');

echo $this->Form->input(
	'modified', array(
	'type' => 'text',
	'type' => 'hidden',
)); 

echo $this->Form->input(
	'last_mod_by', array(
	'type' => 'text',
	'type' => 'hidden',
)); 

?>


<div class="container">

	<div class="two columns">

		<!-- QUOTE DETAILS -->
		
		<table>

			<tr><th>Quote Details</th></tr>

			<tr><td><?php echo $this->Form->input('quote_number'); ?></td></tr>

 			<tr><td><?php echo $this->Form->input('quote_date', array(
					'type' => 'date',
				    'dateFormat' => 'DMY',
				    'separator' => '',
				    'minYear' => date('Y') - 5,
			    	'maxYear' => date('Y') + 5,
				)); ?>
			</td></tr>

			<tr><td><span class="bold">Total: </span>
				<?php echo $currency.number_format($this->request->data['Quote']['quote_total'], 2, '.', ',');?>
				<?php echo $this->Form->input('quote_total', array(
					'type' => 'hidden')); ?>
			</td></tr>

			<?php 

 				$statusOptions = array('Pending' => 'Pending', 'Accepted' => 'Accepted', 'Rejected' => 'Rejected', 'Expired' => 'Expired');
				
 			?>

 			<tr><td><?php echo $this->Form->input('status', array('options' => $statusOptions, 'default' => 'm'));?></td></tr>

			<tr><td><?php echo $this->Form->input('public_notes'); ?></td></tr>
			<tr><td><?php echo $this->Form->input('private_notes'); ?></td></tr>

		</table>

		<!-- // END QUOTE DETAILS -->

	</div>

	<div class="two columns">

		<!-- QUOTE TO -->

		<table>

			<tr><th>Quote To</th></tr>

			<tr><td><span class="bold"><?php echo $this->request->data['Client']['client_name']. '</span><br />'?>



 			<?php 

				if ( $address1 = $this->request->data['Client']['client_address_line_1'] ) {
					echo $address1 . "<br />";
				}

				if ( $address2 = $this->request->data['Client']['client_address_line_2'] ) {
					echo $address2 . "<br />";
				}

				if ( $town = $this->request->data['Client']['client_town'] ) {
					echo $town . "<br />";
				}

				if ( $city = $this->request->data['Client']['client_city'] ) {
					echo $city . "<br />";
				}

				if ( $state = $this->request->data['Client']['client_state'] ) {
					echo $state . "<br />";
				}

				if ( $zip = $this->request->data['Client']['client_zip'] ) {
					echo $zip . "<br /><br />";
				}

				if ( $phone = $this->request->data['Client']['client_phone'] ) {
					echo '<span class="bold">Phone: </span>'. $phone . '<br />';
				}

				if ( $email = $this->request->data['Client']['client_email'] ) {
					echo '<span class="bold">Email: </span>'. $email . '<br />';
				}

			?>

			</td></tr>

		</table>

		

		<!-- // END QUOTE TO -->

	</div>

</div>


<?php echo $this->Form->end();?>


<!-- ITEMS -->

<h5>Items</h5>

<?php $items = $this->request->data['Quote_Items']; ?>

<table class="responsive_table" id="items_table">

	<thead>
	
		<tr>
			<th>Items</th>
			<th class="right tiny_cell">QTY</th>
			<th class="right small_cell">Price</th>
			<th class="right small_cell">Sub Tot</th>
			<th class="right small_cell">Tax</th>
			<th class="right small_cell">Total</th>
			<th class="center small_cell">Actions</th>
		</tr>

	</thead>

	

		<?php

			if ( $items == NULL ) {
				echo '<tr><td> -- No Items Are Associated With This Invoice -- </td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td></tr>';
			}

		?>


		<?php $itemCount = 0; ?>

		<? foreach ($items as $item): ?>

			<?php $itemCount++; ?>

			<tr id="item_row_<?= $item['id'] ?>">

				<td><span class="bold">Item <?php echo $itemCount;?>: </span><?php echo $item['title']?></td>

				<td class="right responsive_cell"><?php echo $item['quantity'] ?></td>

				<td class="right responsive_cell"><?php echo number_format($item['unit_price'], 2, '.', ',')?></td>
				
				<td class="right responsive_cell">
					<?php 
						$itemSubTotal = $item['quantity'] * $item['unit_price'];
						$subTotal += $itemSubTotal;
						echo number_format($itemSubTotal, 2, '.', ',');
					?>
				</td>

				<td class="right responsive_cell">
					<?php 
						$itemTax = $itemSubTotal * ($item['tax_rate'] / 100);
						$tax += $itemTax;
						echo number_format($itemTax, 2, '.', ',');
					?>
				</td>

				<td class="right responsive_cell">
					<?php 
						$itemTotal = $itemSubTotal + $itemTax;
						$total += $itemTotal;
						echo number_format($itemTotal, 2, '.', ',');
					?>
				</td>

				<?php echo '<td class="center responsive_cell">' ?>
	        
	                <?php echo 

	                	$this->Html->link('View/Edit', array('controller'=>'QuoteItems', 'action'=>'edit', $item['id']), array('class' => 'view', 'id' => 'item_'.$item['id'])); 
	                ?>

	                <?php echo 

	                	$this->Html->link('Delete', array('controller'=>'QuoteItems', 'action'=>'delete', $item['id']), array('class' => 'item_delete', 'id' => 'item_'.$item['id'])); 
	                ?>

				<?php echo'</td>' ?>

			</tr>

			<tr><td colspan="7"><span class="bold">Item <?php echo $itemCount;?> Details:<br></span><?php echo $item['details']?></td></tr>
			
		<? endforeach; ?>

</table>


<table class="responsive_table" id="item_total_table">

	<thead>
		<tr><td colspan="7"></td></tr>
	</thead>

	<tr class="bold total_row">
		<td colspan="3" >Item Totals (<?php echo $currency; ?>)</td>
		<td class="right small_cell"><?php echo (number_format($subTotal, 2, '.', ',')); ?></td>
		<td class="right small_cell"><?php echo (number_format($tax, 2, '.', ',')) ?></td>
		<td id="invoiceTotal" class="right small_cell"><?php echo (number_format($total, 2, '.', ',')) ?></td>
		<td class="small_cell"></td>
	</tr>

</table>


<div id="add_item_form">

	<h4>Add Item</h4>

	<?php

		echo $this->Form->create('QuoteItem', array('action' => 'add'));

		echo $this->Form->input('quote_id', array('type' => 'hidden', 'value' => $this->request->data['Quote']['id']));
		echo $this->Form->input('title');
		echo $this->Form->input('details');
		echo $this->Form->input('quantity', array( 
			'label' => 'Quantity (e.g. 5)' 
			));
		echo $this->Form->input('unit_price', array( 
			'type' => 'number', 
			'label' => 'Unit Price (e.g. 49.99)' 
			));

		// $taxOptions = array('Yes' => 'Yes', 'No' => 'No');
		echo $this->Form->input('tax_rate', array('options' => $tax_rates, 'label' => 'Tax Rate (%)'));

		echo $this->Form->end();
	?>

	<?php $save_item_link = $this->Html->link('Save Item', array('controller'=>'Quote_Items', 'action'=>'add'),
                								array('class' => 'item_add', 'id' => 'item_add_button'));

	echo $this->Html->div('button_small', '<span class="icon-plus"></span>Save Item', array('id' => 'save_item_button'));

	echo $this->Html->div('button_small negative', '<span class="icon-x"></span>Cancel', array('id' => 'cancel_item_button'));

	?>

</div>

<?php echo $this->Html->div('button_small', '<span class="icon-plus"></span>Add Item', array('id' => 'add_item_button'));?>

<!-- // END ITEMS -->



<!-- INFO TILE -->

<?php
	$this->start('info_tile');

	echo $this->Html->div('div_link info_button_normal', '<span class="icon-arrow-left "></span><a href="javascript:history.back()">Back</a>');

	echo $this->Html->div('info_button_positive', '<span class="icon-floppy"></span>Save Quote', array('id' => 'save_quote_button'));

	$cancel_link = $this->Html->link('Cancel',
		    array('controller' => 'quotes', 'action' => 'view', $this->request->data['Quote']['id'])
		);		

	echo $this->Html->div('div_link info_button_negative', '<span class="icon-cancel"></span>'.$cancel_link);
?>
	
<?php $this->end();?>

<!-- // END INFO TILE -->



<script type="text/javascript">

	function setModTime() {
		var now = new Date();
		now = now.format("yyyy-mm-dd HH:MM:ss");

		$('#QuoteModified').val(now);

		var user = "<?= AuthComponent::user('first_name') ?>";
		user = user + " " + "<?= AuthComponent::user('last_name') ?>";

		$('#QuoteLastModBy').val(user);
	}

	$(document).ready(function() {

		// Style Dropdowns
		$('select').wrap('<div class="styled_select" />');

		// Delete Item
		$('a.item_delete').click(function(e){

		    e.preventDefault();

		    var item_id = $(this).attr('id');
            item_id = item_id.slice(5);
		        
			var result = confirm('Are you sure you want to permanently delete this item?');
			
			if(result) {
				$.ajax({
					type:"POST",
					url:$(this).attr('href'),
					data:"ajax=1",
					dataType: "json",
					success:function(response){
					}
				});
				setInterval("location.reload()", 500);

			}
		return false;
		                
		}); 


		// Hide Additional Forms By Default
		$('#add_item_form, #add_payment_form').hide();


		// ADD ITEM FORM

		// Show/Hide Add Item Form
		$('#add_item_button').click(function(e){
			$('#add_item_form').slideDown();
			$('#add_item_button').hide();
		});

		// Cancel Add Item
		$('#cancel_item_button').click(function(e){
			$('#add_item_form').slideUp();
			$('#add_item_button').show();
		});

		// Save Item
		$('#save_item_button').click(function() {
			$('#QuoteItemAddForm').submit();
		});


		// SAVE QUOTE BUTTON
		$('#save_quote_button').click(function() {

			setModTime();

			$('#QuoteEditForm').submit();

		});


		// CALCULATIONS

		var quoteTotal = "<?= number_format($total, 2, '.', '') ?>";

		
		function updateQuote(){

			// UPDATE QUOTE IF CHANGED

			var currentTotal = $('#QuoteQuoteTotal').val();

			//alert(currentTotal);

			// alert(invoiceTotal);


			if (currentTotal != quoteTotal) {

				$('#QuoteQuoteTotal').val(quoteTotal);

				setModTime();

				$('#QuoteEditForm').submit();

			}


		}

		updateQuote();

	});

</script>


