<h3>Invoices Report</h3>

<?php 

	$currency = $currency['Setting']['currency'];

    $date = date('Y-m-d');

	echo '<p><span class="bold">Report Generated On: </span>'. $date .' </p>';

	echo '<p><span class="bold">By: </span>'. AuthComponent::user('first_name') . ' ' . AuthComponent::user('last_name') .' </p>';

	if (is_numeric($clients)) {

		$clientName = $clientName['Client']['client_name'];

		echo '<p><span class="bold">Clients: </span>'.$clientName .' </p>';

	} else {

		echo '<p><span class="bold">Clients: </span>All </p>';

	}

	if (is_array($invoiceType)) {

		$invoiceType = 'All';

	}

	echo '<p><span class="bold">Invoice Type: </span>'.$invoiceType .' </p>';

	echo '<p><span class="bold">From: </span>'.$from .' </p>';

	echo '<p><span class="bold">To: </span>'.$to .' </p>';

?>

<table id="invoices_table">

	<thead>
	
		<tr>
			<th>Invoice #</th>
			<th>Invoice Date</th>
			<th>Client</th>
			<th class="center">Total</th>
			<th class="center">Status</th>
			<th class="center no_sort">View/Edit</th>
		</tr>

	</thead>

	<?php foreach($invoices as $invoice) : ?>

		<tr>
			<td><?php echo $invoice['Invoice']['invoice_number']?></td>
			<td ><?php echo $invoice['Invoice']['invoice_date']?></td>
			<td><?php echo $invoice['Invoice']['client_name']?></td>
			<td class="right"><?php echo $currency. number_format($invoice['Invoice']['invoice_total'], 2, '.', ',')?></td>
			<td class="status"><?php echo $invoice['Invoice']['status']?></td>
			<td class="center small_cell">
				<?php echo $this->Html->link('View/Edit', array('controller' => 'invoices', 'action' => 'view', $invoice['Invoice']['id']), array('class' => 'view')); ?>
			</td>


		</tr>

	<?php endforeach; ?>
	
</table>


<!-- INFO TILE -->

<?php

	$this->start('info_tile');

	echo $this->Html->div('div_link info_button_normal', '<span class="icon-arrow-left "></span><a href="javascript:history.back()">Back</a>');

	$this->end();

?>

<!-- // END INFO TILE -->


<?php echo $this->Html->script('jquery.dataTables');?>

<script type="text/javascript">

	$(document).ready(function() {


		// Set Data Table

		if ( $('#invoices_table')[0] ) { 

			$('#invoices_table').dataTable( {
			"aaSorting": [[ 1, "desc" ]],
	        "sDom": '<"top">irt<"bottom"lp><"clear">',
	        "oLanguage": {
	         "sSearch": "Search (Auto Filter):"},
	         "fnDrawCallback": function( oSettings ) { updateClasses(); }
	    	} ); 

	    }

	});

</script>


