<h3>Create A New User</h3>

<p>Please select what type of user account (staff or client) you wish to create:</p>

<!-- STAFF ACCOUNT -->

<?php echo $this->Html->div('info_button_primary show_hide_button', '<span class="icon-user "></span>Create A Staff Account');?>

<div class="report_form">

    <h4>Create A New Staff Account</h4>

    <p>Complete the form below to add a new staff user account. Fields marked with a * must be completed.</p>

    <p><span class="bold">Admin</span> user accounts have complete access to all of Adaptive Client Manager's features</p>

    <p><span class="bold">Manager</span> user accounts have limited access to Adaptive Client Manager's features. They can add/view/edit/delete Clients, Invoices and Quotes etc. They do not have access to Settings and Configuration and they can't view/add/edit/delete user accounts.</p>

    <?php echo $this->Form->create('User');?>

    <table>
        
        <tr>
            <th>User Details</th>
        </tr>

        <?php $roleOptions = array('manager' => 'Manager', 'admin' => 'Admin'); ?>

        <tr><td><?php echo $this->Form->input('role', array('options' => $roleOptions, 'label' => 'Role')); ?></td></tr>

        <tr><td><?php echo $this->Form->input('username'); ?></td></tr>

        <tr><td><?php echo $this->Form->input('password'); ?></td></tr>

        <tr><td><?php echo $this->Form->input('first_name'); ?></td></tr>

        <tr><td><?php echo $this->Form->input('last_name'); ?></td></tr>

        <tr><td><?php echo $this->Form->input('email'); ?></td></tr>

    </table>


    <?php 

        echo $this->Form->end();

        $save_tax_link = $this->Html->link('Save User', array('controller'=>'User', 'action'=>'add'),
                                            array('class' => 'item_add', 'id' => 'tax_add_button'));

        echo $this->Html->div('button_small', '<span class="icon-plus"></span>Save User', array('id' => 'save_staff_button')); 
    ?>

</div>

<!-- // END STAFF ACCOUNT -->


<!-- CLIENT ACCOUNT -->

<?php echo $this->Html->div('info_button_primary show_hide_button', '<span class="icon-user "></span>Create A Client Account');?>

<div class="report_form" id="clientUserForm">

    <h4>Create A New Client Account</h4>

    <p>Complete the form below to add a new client user account. Fields marked with a * must be completed.</p>

    <p><span class="bold">Client</span> user accounts are redirected to their own Client Area on login. They can only access their own Client Area and view (not edit or delete) their own Invoices and Quotes etc. All other areas of Adaptive Client Manager are locked down and redirect client back to their own area.</p>

    <?php

        $clients = $this->requestAction('/clients/get_names');

        $client_array = array();

        foreach ($clients as $client) {

            $client_array[$client['Client']['client_name']] = $client['Client']['client_name'];

        }

    ?>

    <?php echo $this->Form->create('User', array('id' => 'addClientUser'));?>

    <table>
        
        <tr>
            <th>User Details</th>
        </tr>

        <?php $roleOptions = array('client' => 'Client'); ?>

        <tr><td><?php echo $this->Form->input('role', array('options' => $roleOptions, 'label' => 'Role')); ?></td></tr>

        <tr><td>
            <?php 
                 echo $this->Form->input('client_name', array(
                    'options' => $client_array
                )); 
            ?>
        </td></tr>

        <tr><td><?php echo $this->Form->input('username'); ?></td></tr>

        <tr><td><?php echo $this->Form->input('password'); ?></td></tr>

        <tr><td><?php echo $this->Form->input('email'); ?></td></tr>

    </table>

    <?php

        echo $this->Form->input(
            'first_name', array(
            'type' => 'text',
            'type' => 'hidden',
        )); 

        echo $this->Form->input(
            'last_name', array(
            'type' => 'text',
            'type' => 'hidden',
        )); 

    ?>


    <?php 

        echo $this->Form->end();

        $save_tax_link = $this->Html->link('Save User', array('controller'=>'User', 'action'=>'add'),
                                            array('class' => 'item_add', 'id' => 'tax_add_button'));

        echo $this->Html->div('button_small', '<span class="icon-plus"></span>Save User', array('id' => 'save_client_button')); 
    ?>

</div>

<!-- // END CLIENT ACCOUNT -->



<!-- INFO TILE -->

<?php
    $this->start('info_tile');

    $exit_link = $this->Html->link('Exit Settings',
            array('controller' => 'dashboard', 'action' => 'index')
        );      

    echo $this->Html->div('div_link info_button_normal', '<span class="icon-cancel"></span>'.$exit_link);

    $this->end();
?>

<!-- // END INFO TILE -->


<!-- SCRIPTS -->

<script type="text/javascript">

    function setUsername() {

        //alert($('#UserClientName').val());

        var currClientName = $('#UserClientName').val();

        $('#clientUserForm #UserFirstName, #clientUserForm #UserLastName').val(currClientName);

        //alert('First: ' + $('#UserFirstName').val() + ' Last: ' + $('#UserLastName').val());

        var newUsername = currClientName.replace(/[^a-z0-9]/gi,'');

        newUsername = newUsername.toLowerCase();

        $('#clientUserForm #UserUsername').val(newUsername);

    }



    $(document).ready(function() {

        // Style Select Boxes

        $('select').wrap('<div class="styled_select" />');


        // Hide Forms By Default

        $('.report_form').hide();


        // Show Forms On Click

        $('.show_hide_button').click(function() {

            $('.report_form').slideUp();

            $(this).next('div').slideToggle();

        });


        // Save Staff User

        $('#save_staff_button').click(function() {
            $('#UserAddForm').submit();
        });


        // Save Client User

        $('#save_client_button').click(function() {
            $('#addClientUser').submit();
        });


        // Set Username
        $('#UserClientName').change(function() {

            setUsername();

        });

        setUsername();

    });

</script>